2001-01-27  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.14 is released

2001-01-20  Klaus Frank <klausf@i3.informatik.rwth-aachen.de>

	* gnuserv.el (gnuserv-process-filter): Robuster handling of error
	messages from gnuserv.

2001-01-15  Didier Verna  <didier@xemacs.org>

	* about.el (xemacs-hackers): update my entry.
	* about.el (about-url-alist): ditto.
	* about.el (about-maintainer-info): ditto.
	* about.el (about-hackers): ditto.

2001-01-13  Steve Youngs  <youngs@xemacs.org>

	* package-get.el (package-get-download-sites): Add a pre-release
	site for experimental packages.

	* auto-autoloads.el: Regenerated.

2000-12-28  Andreas Jaeger  <aj@suse.de>

	* about.el (about-hackers): Update my entry.

2000-12-11  Matt Tucker  <tuck@whistlingfish.net>

        * packages.el (locate-library): Add support for bzip2
          compressed .el files

2000-10-25  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* files.el (auto-mode-alist): Update to 21.2 version.

2001-01-07  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.13 is released

2000-12-08  Adrian Aichner  <adrian@xemacs.org>

	* simple.el (indent-for-comment): Preserve indentation of comments
	starting in column 0, as documented in (Info-goto-node
	"(xemacs)Comments").  Update docstring accordingly.
	* simple.el (kill-comment): Typo fix.

2000-12-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/mule-coding.el: Reorder coding priority list.  Works around
	crash in ISO-lock coding system reported by M. Fabian.

2000-12-04  Didier Verna  <didier@xemacs.org>

	* mouse.el (default-mouse-track-set-point-in-window): remove
	spurious '+' operation detected by Martin.

2000-12-01  Martin Bucholz <martin@xemacs.org>

	* cl-extra.el (coerce): 
	Implement char to integer coercion.
	Remove extraneous (numberp) test.

2000-11-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* cus-face.el: Typo fixes and tiny clarifications.

2000-10-24  Didier Verna  <didier@xemacs.org>

	* info.el (Info-emacs-info-file-name): defconst it.
	* info.el (Info-footnote-tag): defcustom it.
	* info.el (Info-no-description-string): ditto.
	* info.el (Info-find-node): adapt to new semantics of
	'Info-suffixed-file (don't do the case variants stuff).
	* info.el (Info-insert-dir): rewrite the dir file variants code.
	* info.el (Info-directory-files): New. Return the list of info
	files in a directory.
	* info.el (Info-dir-outdated-p): use it.
	* info.el (Info-parse-dir-entries): ditto.
	* info.el (Info-build-dir-anew): don't restrict to files ending
	with a ".info.*" extension.
	* info.el (Info-set-mode-line): ditto.
	* info.el (Info-read-subfile): adapt to new semantics of
	'Info-suffixed-file (append 'exact argument).
	* info.el (Info-all-case-regexp): New. Return a regexp matching a
	string independently of the case.
	* info.el (Info-suffixed-file): use it (match all possible case
	for the file name).
	* info.el (Info-insert-file-contents): code cleanup.
	* info.el (Info-rebuild-dir): cosmetics only. Fit code in 80
	columns.
	* info.el (Info-batch-rebuild-dir): ditto.
	* info.el (Info-search): ditto.
	* info.el (Info-fontify-node): ditto.

2000-12-03  Jorma Laaksonen <jorma.laaksonen@hut.fi>

	* package-admin.el: Allow package removal from
	early-package-load-path.

2000-10-16  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* byte-optimize.el (byte-after-unbind-pos): Remove byte-equal.

2000-10-26  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* startup.el (normal-top-level): Set up auto-save-list-file-name
	iff auto-save-list-prefix is non-nil.

2000-04-18  Hrvoje Niksic  <hniksic@iskon.hr>

	* code-files.el (convert-mbox-coding-system): Deleted.
	(file-coding-system-alist): Removed reference to
	convert-mbox-coding-system.

1999-10-29  Hrvoje Niksic  <hniksic@iskon.hr>

	* font-lock.el (font-lock-lisp-like): New function.
	(font-lock-fontify-syntactically-region): Use it.

2000-10-11  Martin Buchholz  <martin@xemacs.org>

	* simple.el (turn-on-auto-fill):  Add (interactive).
	* mwheel.el (mwheel-install): Add (interactive).
	* font-lock.el (turn-on-font-lock): Add (interactive).
	(turn-off-font-lock): Add (interactive).

2000-10-08  Adrian Aichner  <adrian@xemacs.org>

	* wid-edit.el (widget-specify-active): map over extents in current
	buffer like `widget-specify-inactive' does.  Mapping over the
	inactive extent object does not work since the current extent is
	ignored by `map-extents'.

1999-06-02  Oscar Figueiredo  <oscar@xemacs.org>

        * subr.el (split-string): Avoid infinite looping

2000-10-12  Daniel Pittman  <daniel@rimspace.net>

	* simple.el (do-auto-fill): Use the function pointer to by
	`comment-line-break-function', not `indent-new-comment-line'. This
	fixes an issue with cc-mode comment continuation.

2000-11-18  Stephen Carney <carney@scubadoo.com>

	* etags.el: Prevent tag-search from going compute-bound.

2000-09-19  Martin Buchholz  <martin@xemacs.org>

	* easymenu.el: doc fixes.
	(easy-menu-do-define): Use backquote.
	(easy-menu-change): 
	(easy-menu-add): 
	`when' seems much clearer than `if' here.
	(easy-menu-remove):
	(easy-menu-add-item): 
	(easy-menu-item-present-p): 
	(easy-menu-remove-item): 
	Wrap using (when (featurep 'menubar) ...)

2000-09-12  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (byte-compile-file-form-defvar-or-defconst): 
	Renamed from `byte-compile-file-form-defvar'.
	* bytecomp.el (byte-compile-defvar-or-defconst):
	Only cons onto current-load-list in top-level forms.
	Else this leaks a cons cell every time a defun is called.
	Renamed from `byte-compile-defvar', for clarity.
	Warn when docstring of defvar is not a string.
	Use consistent error messages.
	Better comments.

2000-09-11  Martin Buchholz  <martin@xemacs.org>

	* cl-macs.el (cl-do-proclaim):
	Fix (declare (special ...)) warning suppression syntax.

2000-08-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/mule-init.el (auto-language-alist):  Distinguish zh_CN, zh_TW.

2000-08-04  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.12 is released

2000-08-02  Martin Buchholz  <martin@xemacs.org>

	* menubar-items.el (default-menubar): Fix typo.
	(default-menubar): `lambda' was mispelled as `lamda'.

2000-07-28  Adrian Aichner  <aichner@ecf.teradyne.com>

	* files.el (insert-file-contents-literally): Fix second let
	binding for `coding-system-for-read' to `coding-system-for-write'
	as suggested by Dan Holmsand <dan@innehallsbolaget.com>.

1999-06-15  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* files.el (insert-file-contents-literally): Use binary coding
	system (from Morioka san).
	(insert-file-contents-literally): Make file-name-handler method.

2000-07-17  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.11 is released

2000-07-16  Adrian Aichner  <aichner@ecf.teradyne.com>

	* toolbar-items.el (toolbar-gnus): Switch to `gnus-group-buffer'.

2000-07-17  Vin Shelton  <acs@xemacs.org>

	* auto-autoloads.el: Updated.
	* custom-load.el: Updated.

2000-06-27 Charles G Waldman  <cgw@alum.mit.edu>

	* cl-macs.el:  fix cl-transform-function-property kludge
	so that it does not require a random feature.

2000-06-08  Mike Alexander  <mta@arbortext.com>

	* code-process.el (call-process-region): If there is no coding
	system for the process on process-coding-system-alist use the
	coding system of the buffer containing the region.

2000-06-01  Adrian Aichner  <aichner@ecf.teradyne.com>

	* winnt.el (nt-quote-args-functions-alist): Fix docstring.

2000-06-12  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* files.el (insert-file-contents-literally): Set coding system to
	binary. Long overdue minimal change for 21.1

	* package-get.el (package-get-update-base):	
	(package-get): Use insert-file-contents-literally always.
	(package-get-maybe-save-index):
	Force coding system for writing to binary.

2000-06-21 Charles G Waldman  <cgw@alum.mit.edu>

	* package-ui.el (defgroup pui):  Correct a misspelling
	(pui-toggle-package-delete):  Change `seleted' to `selected'
	(pui-popup-context-sensitive):  Fix a typo in a comment
	
2000-05-06  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.10 is released

2000-04-29  Martin Buchholz  <martin@xemacs.org>

	* dialog.el (yes-or-no-p-dialog-box): 
	Fix docstring.
	Fix following horrible bug in X11 mode with focus-follows-mouse: 
	  1. Visit two files in two different frames.
	  2. do File->Revert Buffer in one of those frames.
	  3. Dialog box appears.
	  4. Arrange things so that the mouse passes over the *other*
	     frame, then to the dialog box, and click on "Yes".
	  5. The file contents end up in the *wrong* buffer!
	

2000-01-05  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/mule-cmds.el (set-default-coding-systems): Use
	set-terminal-coding-system and set-keyboard-coding-system.
	* coding.el (set-terminal-coding-system): Use
	set-console-tty-output-coding-system.
	(set-keyboard-coding-system): Use
	set-console-tty-input-coding-system.

2000-03-03  Vin Shelton  <acs@xemacs.org>

	* menubar-items.el (maybe-add-init-button): Remove the "Load
	.emacs" button from all menubars.

2000-03-03  SL Baur  <steve@beopen.com>

	* subr.el (with-string-as-buffer-contents): Reimplement using
	`with-temp-buffer'.  Fixes non-unique buffer name problem, fixes
	non-deletion of buffer after execution problem.
	(with-output-to-string): Use unique buffer name.

2000-03-03  Oscar Figueiredo  <oscar@xemacs.org>

	* ldap.el (toplevel): Detect whether XEmacs has was built with
	internal LDAP support
	Customize all user variables.

2000-03-03  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* files.el (write-file): Ask for coding system when compiled with
	file-coding.

2000-02-13  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.9 is released

2000-02-07  Andreas Jaeger <aj@suse.de>

	* x-font-menu.el: Use unscaled fonts, if available.

2000-02-07  Stef Epardaud <stef@lunatech.com>

	* font-lock.el: add JavaDoc 1.2 support and correct interface decl
	highlighting

2000-01-26  Hrvoje Niksic  <hniksic@iskon.hr>

	* files.el (abbreviate-file-name): Use directory-sep-char instead
	of hard-coded "/".

2000-01-22  Kyle Jones  <kyle_jones@wonderworks.com>

	* lisp/itimer.el (itimer-run-expired-timers): (consp
	  last-command-event-time) instead of (consp
	  'last-command-event-time).

2000-01-19  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* about.el (about-hackers): Add myself to contributors list.

2000-01-15  Hrvoje Niksic  <hniksic@iskon.hr>

	* info.el (Info-directory-list): Warn against using Customize with
	Info-directory-list.

2000-01-07  Andreas Jaeger  <aj@suse.de>

	* about.el (about-hackers): Moved my entry to contributor list.
	(xemacs-hackers): Added myself.
	(about-maintainer-info): Added description of myself.

2000-01-05  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* hyper-apropos.el (hyper-apropos-this-symbol): Don't always
	get symbol at point-min.

1999-12-13  Charles G Waldman  <cgw@alum.mit.edu>

	* gnuserv.el (gnuserv-process-filter):  don't call 
	gnuserv-write-to-client when gnuserv-current-client is nil

1999-12-11  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* toolbar.el (default-toolbar-position): typo fix

1999-12-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (package-get-download-sites): Use correct custom
	type.

1999-12-05  Kyle Jones  <kyle_jones@wonderworks.com>

	* lisp/itimer.el: (require 'lisp-float-type).  Use
	  floats directly in itimer-time-difference.

1999-12-03  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* lisp/mule-misc.el (coding-system-get): Imported from 21.2.
	(coding-system-put): Ditto.
	(coding-category): Imported from 21.2 and modified for 21.2.

1999-12-03  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule-charset.el (charset-bytes): Imported from 21.2.
	(charset-width): Ditto.

1999-12-03  Adrian Aichner  <aichner@ecf.teradyne.com>

	* hyper-apropos.el (hyper-apropos-this-symbol): Handle
	`hyper-apropos-help-mode' here to find symbol to customize
	irregardless of cursor position and simplify
	`hyper-apropos-set-variable', `hyper-apropos-find-function', and
	`hyper-apropos-popup-menu'.

1999-11-14  Jason R Mastaler  <jason@mastaler.com>

	* package-get.el (package-get-download-sites): Removed several
 	defunct download sites, added many new ones, and corrected a few
 	incorrect directory-on-site entries.

1999-11-02  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.8 is released

1999-11-01 Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/cyrillic.el (setup-cyrillic-environment): Revert
	previous change and modify for XEmacs 21.1.
	(language-info-alist): Revert last change.

1999-11-01 Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/japanese.el (setup-japanese-environment): Set up
	default-coding-system.
	* mule/chinese.el (setup-chinese-gb-environment): New function.
	(setup-chinese-big5-environment): New function.
	* mule/cyrillic.el (setup-cyrillic-iso-environment): New function.
	(setup-cyrillic-koi8-environment): New function.
	(setup-cyrillic-alternativnyj-environment): New function.
	(setup-cyrillic-environment, describe-cyrillic-support):
	Remove bogus functions.
	(language-info-alist): Don't add Cyrillic.

1999-10-21  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* xemacs-20/lisp/package-get.el
	(package-get-user-package-location):
	Use user-init-directory in the "correct" way for 21.1

1999-10-21  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* apropos.el (apropos-documentation): Use insert instead
	of princ.

1999-10-20  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* info.el (Info-page-prev): Don't do (sit-for 0).

1999-10-20  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/japanese.el (setup-japanese-environment): New function.
	(language-info-alist): Use setup-japanese-enviroment as a
	setup function.

1999-10-20  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* coding.el (set-terminal-coding-system): Only set the console
	coding system on the selected console if it is a tty.

1999-10-20  Werner Fink  <werner@suse.de>

	* setup-paths.el (paths-find-exec-directory): Add missing nil
	parameter for environment.

1999-10-20  Werner Fink  <werner@suse.de>

	* cyrillic.el (setup-cyrillic-environment): Replace
	old set-coding-priority.

1999-09-25  Adrian Aichner  <aichner@ecf.teradyne.com>

	* package-get.el (package-get-download-menu): Make menu really
 	toggle download sites.
	(package-get-download-sites): Add autoload cookie.
	[This was in 21.1.7.]

1999-09-26  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.7 is released

1999-09-23  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* indent.el (indent-line-to): fix bug: spaces were not replaced
	with tab if column is multiple of tab-width
	From dhn@qedinc.com

1999-09-19  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (do-auto-fill): Commented out part of Kinsoku
	processing.

1999-09-19  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-find-doc-directory): Respect value of
	`configure-doc-directory.'

	* find-paths.el (paths-find-architecture-directory): Give
 	precendence `default' argument (which typically comes from
 	configure).

1999-09-19  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* files.el (allow-remote-paths): Variable added to core where it
	belongs.

1999-09-06    Robert Pluim  <rpluim@bigfoot.com>

	* package-get.el (package-get-package-provider): Make sure we
 	produce some output, as we can be called interactively.

1999-09-03    Hrvoje Niksic  <hniksic@srce.hr>

	* cl-macs.el (extent-start-position): Fix setf method.
	(extent-end-position): Ditto.

1999-08-29    Jan Vroonhof  <vroonhof@math.ethz.ch>

	* auto-show.el (auto-show-truncationp): Remove.
          (auto-show-should-take-action-p): Use window-truncated-p

1999-08-26    burt@dfki.de (Alastair Burt)

	* derived.el: Apply derived-mode-parent-property.

1999-08-26    Hrvoje Niksic  <hniksic@srce.hr>

	* replace.el (perform-replace): Stop the search after the search
	limit has been reached.

1999-08-26    Christoph Wedler  <wedler@fmi.uni-passau.de>

	* bytecomp.el (byte-compile-buffer-substring): Would produce wrong 
	warning/code for `buffer-substring' with no or one arg.

1999-08-26    Tsukamoto Tetsuo <czkmt@remus.dti.ne.jp>

	* mule/japanese.el: Use setup-japanese-environment-internal as the 
	setup function.

1999-08-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.6 is released

1999-08-14    Jan Vroonhof <vroonhof@math.ethz.ch>

	* package-get.el: Don't require package signing by default.

1999-08-12    SL Baur  <steve@xemacs.org>

	* code-files.el (insert-file-contents): Fix docstring.

1999-08-12    Steve Baur <steve@xemacs.org>

	* dumped-lisp.el Fix thai and ethiopic.

1999-08-12    Bob Weiner  <weiner@beopen.com>

	* fill.el (fill-context-prefix): Fixed bug that prevented the
	setting of an adaptive fill prefix when the `dont-skip-first'
	was t.

1999-08-12    Karl M. Hegbloom  <karlheg@debian.org>

	* config.el (config-value-file): look for "config.values" in
 	`doc-directory', rather than in `exec-directory', since it varies
 	with the configuration like DOC does, and `--docdir' is
 	configurable now.  The docstring for `doc-directory' says its
 	value is usually the same as `exec-directory' anyway, so this
 	should NOT affect XEmacs when configured without the `--docdir'
 	switch.

1999-08-12    Bob Weiner  <weiner@beopen.com>

	* list-mode.el (list-mode): It is visually disconcerting to have
	the text cursor disappear within list buffers, especially when
	moving from window to window, so leave it visible.

1999-08-12    Karl M. Hegbloom  <karlheg@debian.org>

	* files.el (interpreter-mode-alist): add `make', `guile', and 
	`emacs' entries. (#!/usr/bin/make -f ought to send a file into
	makefile-mode, guile is a scheme, and someday XEmacs will be
	modular enough to use as an efficient scripting tool.)

1999-08-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.5 is released

1999-07-08  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.4 is released

1999-07-07    SL Baur  <steve@steve1.m17n.org>

	* help-nomule.el (string-width): Make Mule compatibility alias.

1999-07-06    Bob Weiner  <weiner@beopen.com>

	* simple.el (indent-new-comment-line): Locally bound
	`block-comment-start' to `comstart' or else when this is called
	from do-auto-fill, e.g. in Lisp mode, it will insert any non-nil
	`block-comment-start' value, ignoring any existing spacing after a
	comment prefix in the previous line and producing ugly comments.

1999-07-06    Bob Weiner  <weiner@beopen.com>

	* list-mode.el (mouse-choose-completion): 
	(choose-completion): 
	(completion-switch-to-minibuffer): Added.
	([Tab]): [Tab] previously switched to the minibuffer
	but since [space] does that and since most applications in the
	world use [Tab] to select the next item in a list, do that in the
	*Completions* buffer too.  This will cause the least confusion
	among the largest population of users.  -- Bob Weiner, BeOpen.com,
	06/23/1999.

1999-07-06     Bob Weiner  <weiner@beopen.com>

	* list-mode.el (completion-list-mode-quit): Added and bound to {q}
	in the completion-list-mode-map to bury the completions buffer
	even when the minibuffer is no longer active.

1999-07-06    Michael Sperber <sperber@informatik.uni-tuebingen.de>

        * very-early-lisp.el (when-feature, unless-feature): Make them
        test for the feature at runtime.

1999-07-06    SL Baur  <steve@miho.m17n.org>

	* menubar-items.el (default-menubar): Conditionalize the bug
	report menu item (which may not be possible in this XEmacs).
	Reported by: Ken'ichi Handa <handa@etl.go.jp>

1999-07-06    SL Baur  <steve@miho.m17n.org>

	* subr.el (with-current-buffer): DOC string fix.
	Suggested by Bob Weiner <weiner@altrasoft.com>

1999-07-06    Karl M. Hegbloom  <karlheg@debian.org>

	* wid-edit.el (widget-documentation): corrected speling error.

1999-06-26  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.3 is released

1999-06-26  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.3 is released

1999-06-13    Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>

	* mule/mule-cmds.el (read-input-method-name): set input-method
	properly.

1999-06-12    Vin Shelton <acs@xemacs.org>

	* startup.el: Document -private and break out non-standard X
 	options.

1999-06-12    SL Baur  <steve@gneiss.etl.go.jp>

	* info.el (Info-scroll-prev): Use event functions instead of
	the old emacs 19 interface.

1999-06-12    SL Baur  <steve@gneiss.etl.go.jp>

	* about.el (about-xemacs): Update maintainer list.
	Fix release date.

1999-05-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.2 is released

1999-05-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.1.1 is released

1999-05-13  SL Baur  <steve@gneiss.etl.go.jp>

	* about.el: update contact info for jason and slb.

1999-05-06  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* files.el (auto-mode-alist): fix typo in regex for .bash_* files
	From Anders Stenman <stenman@isy.liu.se>

1999-04-14  Colin Rafferty  <colin@xemacs.org>

	* x-faces.el (x-make-font-bold-italic): honor
	*try-oblique-before-italic-fonts*

1999-04-14  Hrvoje Niksic  <hniksic@srce.hr>

	* cl-extra.el (coerce): Coerce numbers to characters correctly.

1999-04-14  Dave Gillesipe  <daveg@synaptics.com>

	* cl-extra.el (equalp): Would bug out for lists.

1999-03-16  Colin Rafferty  <colin@xemacs.org>

	* view-less.el (toggle-truncate-lines): add autoload tag

1999-03-25  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.67 is released

1999-03-15  SL Baur  <steve@xemacs.org>

	* check-features.el: Turn hard errors into warnings.

1999-03-12  Charles G Waldman  <cgw@fnal.gov>

	* about.el (about-hackers):  Change cgw's email address

1999-03-12  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.66 is released

1999-02-19  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* x-faces.el (x-init-global-faces): Add default tag to specifiers, 
	so they can be overridden by x-init-face-from-resources.
	Additionally specify the font name also with an x tag.

1999-03-08  Andy Piper  <andy@xemacs.org>

	* package-get.el (package-get-base): autoload.

	* menubar-items.el (default-menubar): add update menu item. Fix
	custom menu to only be activated when package-base is available.

	* package-get.el (package-get-custom): don't load
	package-get-custom as it is auto-generated. Fix group definition.

1999-03-05  Didier Verna  <verna@inf.enst.fr>

	* cus-dep.el (Custom-make-dependencies): use `prin1-to-string'
	instead of `symbol-name' (Thanks Kyle).

	* cus-edit.el (custom-save-variables): use `prin1' instead of
	princ to write symbols.

1999-03-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.65 is released

1999-03-05  SL Baur  <steve@xemacs.org>

	* menubar-items.el (default-menubar): Add kfm browsing support.
	From Neal Becker <nbecker@fred.net>

1999-02-12  Didier Verna  <verna@inf.enst.fr>

	* info.el (Info-build-node-completions): unconditionally widen the
	tag table buffer.

1999-02-19  Paul Stodghill  <stodghil@cs.cornell.edu>

	* x-faces.el (x-init-face-from-resources):
	Only set fonts in the 'x locale.

1999-03-04  Adrian Aichner  <aichner@ecf.teradyne.com>

	* package-ui.el (pui-install-selected-packages): Don't throw on
	`package-admin-delete-binary-package' returning nil since it's
	normal.  Reindent function.
	(pui-add-required-packages): Handle case where packages selected
	for installation have never been installed.

1999-03-03  Steven Baur  <steve@gneiss.etl.go.jp>

	* font-lock.el (font-lock-revert-cleanup): Null out to avoid repeated
	calls to font-lock during buffer reversion.
	
1999-03-03  Martin Buchholz  <martin@xemacs.org>

	* menubar-items.el (default-menubar): 
	Implement the ``Mule->Set coding system of process'' menu item.

1999-03-01  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.64 is released

1999-02-22  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* userlock.el (ask-user-about-supersession-threat-dbox): Guard
	against window close (Fix Bug #460).
	(ask-user-about-lock-dbox): Idem.

1999-02-12  Andy Piper  <andy@xemacs.org>

	* about.el (xemacs-hackers): change andy's email address.
	(about-url-alist): change andy's web page address.
	(about-xemacs): add piper.

1999-02-16  SL Baur  <steve@xemacs.org>

	* mule/arabic.el:
	mule/canna-leim.el:
	mule/chinese.el:
	mule/cyrillic.el:
	mule/english.el:
	mule/european.el:
	mule/greek.el:
	mule/hebrew.el:
	mule/japanese.el:
	mule/kinsoku.el:
	mule/korean.el:
	mule/misc-lang.el:
	mule/mule-category.el:
	mule/mule-ccl.el:
	mule/mule-charset.el:
	mule/mule-cmds.el:
	mule/mule-coding.el:
	mule/mule-files.el:
	mule/mule-help.el:
	mule/mule-init.el:
	mule/mule-misc.el:
	mule/mule-tty-init.el:
	mule/mule-x-init.el:
	mule/viet-chars.el:  Remerge from mule-base.

	* dumped-lisp.el (preloaded-file-list): Core mule files moved out
	of mule-base into lisp/mule.

1999-02-15  Martin Buchholz  <martin@xemacs.org>

	* paths.el: 
	- improved automounter tmp directory support.
	- support 4 (!) empirically discovered automounter conventions

1999-02-10  Adrian Aichner  <aichner@ecf.teradyne.com>

	* process.el (exec-to-string): Use `shell-command-switch' in place
	of hard-wired "-c" (for WindowsNT).

1999-02-08  Charles G Waldman  <cgw@pgt.com>

	* menubar-items.el (default-menubar):  Remove obsolete
	"Gopher" item

1999-02-06  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-admin.el (package-admin-get-install-dir): First fall
	back to the location of xemacs-base for non-mule packages.

1999-02-12  SL Baur  <steve@xemacs.org>

	* etags.el (pop-tag-mark): autoload to match key binding.

1999-02-02  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (package-get-remote-filename): Don't bug out for
	a local file name in the search entry.

1999-02-02  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.63 is released

1999-01-25  Didier Verna  <verna@inf.enst.fr>

	* select.el (selection-owner-p): use the name `XEmacs'.
	(cut-copy-clear-internal): ditto.

1999-01-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.62 is released

1999-01-04  Jan Vroonhof  <vroonhof@math.ethz.ch>

	*  package-get: Sync again with 21.2 version (undoes premature 
	   patch applied by mistake).

1998-12-02  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* package-get.el (package-get-download-sites): change
	ftp.doc.ic.ac.uk to sunsite.doc.ic.ac.uk

1999-01-04  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.61 is released

1998-12-17  Andy Piper  <andy@xemacs.org>

	* sound.el (sound-load-list): name changed from sound-load-alist.
	(sound-extension-list): name changed from sound-ext-list.
	(load-default-sounds): use new names.
	(load-sound-file): use new names.

1998-12-17  Charles G. Waldman <cgw@pgt.com>

	* package-admin.el: Change initialization of
	package-admin-install-function dependent on system type.
	Change package-admin-install-function-mswindows to use
	"minitar".

1998-12-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-ui.el (pui-list-packages): Set truncate-lines.

	* package-get.el (package-get-download-menu): Use
	`package-ui-add-site'. Add a a toggle to indicate it is in the list.

	* package-ui.el (pui-help): Ditch in favor of `describe-mode'
	(pui-help-string): idem.
	(list-packages-mode): New major mode.
	(pui-list-packages): Use 'list-packages-mode' in the package buffer.
	(pui-install-selected-packages): Add suport for removing packages.
	(pui-toggle-package-delete-key): New function.
	(pui-popup-context-sensitive): New kludge.
	(pui-list-packages): Add warning when `package-get-remote' is nil.
	(package-ui-add-site): New function.

1998-11-30  Hrvoje Niksic  <hniksic@srce.hr>

	* cus-dep.el (Custom-make-dependencies): Be smarter about trapping 
	errors.

1998-12-11  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.60 is released

1998-12-04  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-echo-this-extent): Set
	help-echo-owns-message to t.

1998-12-10  SL Baur  <steve@altair.xemacs.org>

	* package-admin.el (package-admin-add-binary-package): Grammar
	fix.

1998-12-01  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-locate-index-file): change argument
	to `force-current'.  error out if force-current is set and no
	download sites are specified.

1998-12-01  Jan Vroonhof <vroonhof@math.ethz.ch>

	* package-get.el (package-get): If we cannot find a package
	  because package-get-remote is not set, give a more helpful
	  error message.

1998-11-30  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-remote-filename): use an EFS path
	with user anonymous if no user is specified.

1998-12-01  Didier Verna  <verna@inf.enst.fr>

	* hyper-apropos.el (hyper-where-is): added the missing autoload.

1998-12-10  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* faces.el (face-spec-set): Re-init fallfacks for default after
	calling reset-face on the default face.

1998-12-10  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-admin.el (package-admin-default-install-function):
	Behave as advertised.  Make sure the pkg-dir is proper for
	default-directory.
	(package-admin-add-binary-package): Make sure the pkg-dir is
	proper for default-directory.
	(package-admin-install-function-mswindows): Make sure the pkg-dir
	is proper for default-directory.

1998-12-08  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.59 is released

1998-12-08  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.0.58 is released

1998-11-27  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* easymenu.el (easy-menu-add-item): Wraper around add-menu-btton.
	(easy-menu-item-present-p): Wrapper around find-menu-item.
	(easy-menu-remove-item): Wrapper around delete-menu-item.

	* menubar.el (delete-menu-item): Add 'from-menu' argument.
	(add-menu-button): Add 'in-menu' argument.
	(add-menu-item-1): Add in-menu support to helper function.

1998-11-26  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* faces.el (get-custom-frame-properties): Revert Hrvoje Niksic change
	of Dec 4, 1997.

1998-11-25  Hrvoje Niksic  <hniksic@srce.hr>

	* process.el (shell-command-on-region): Report if the command
	succeeded or failed.

1998-11-07  Adrian Aichner  <aichner@ecf.teradyne.com>

	* msw-faces.el (mswindows-find-smaller-font): Turning font names
	  into font instances first, like `x-frob-font-size' does.
	  (mswindows-find-larger-font): ditto

1998-11-04  Greg Klanderman  <greg@alphatech.com>

	* package-ui.el (pui-install-selected-packages): fix args in call
	to `package-get'.

1998-10-29  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (host-name): New widget type.
	(package-get-remote): Better customization using new type.
	(package-get-download-sites): idem dito.

	(package-get-custom): Do not use package-get-all untill we have
	runtime dependencies.

	(package-get-remove-copy): Default to 't' we no longer need this
	kludge as we do not currently use depenencies.
	
	(package-get-was-current): New variable.
	(package-get-require-base): New 'force-current' argument.
	(package-get-update-base): idem
	(package-get-package-provider):  idem
	(package-get-locate-index-file): New 'no-remote' argument.
	(package-get-locate-file): idem.
	
	(package-get-maybe-save-index): New function.
	(package-get-update-base): Use it.

1998-10-28 Greg Klanderman <greg@alphatech.com>

	* package-get.el (package-get-remote): default to nil; by default, 
	don't go out to the net via EFS.  They must select a download site.
	(package-get-download-sites): new variable.
	(package-get-download-menu): new function.
	(package-get-locate-index-file): new function.
	(package-get-update-base): use it.

	* menubar-items.el (default-menubar): add "Update Package Index"
	and "Add Download Site" menus under Options | Manage Packages.

1998-10-19  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get): bugfix code checking installed version
	for case where package is not currently installed.
	(package-get-require-signed-base-updates): new variable.
	(package-get-update-base-from-buffer): remove REMOTE-SOURCE arg, it was 
	deemed not a goot thing.  Use the variable
	package-get-allow-unsigned-base-updates instead.

1998-10-16 Greg Klanderman <greg@alphatech.com>

	* package-get.el (package-get): Don't install an older version than 
	we already have unless explicitly told to.  Issue a warning.

	* package-ui.el (pui-add-required-packages): when adding
	dependencies, don't add packages that are up to date.
	(pui-package-symbol-char):  Don't consider a package out of date 
	if you have a newer version installed than the latest version in
	package-get-base.

	* package-get.el (package-get-base-filename): document that it may 
	be a path relative to package-get-remote;  new default value.
	(package-get-locate-file): new function.
	(package-get-update-base): use it to expand package-get-base-filename.
	(package-get-save-base): new function to save the package-get database
	to file.
	(package-get-update-base-from-buffer): add REMOTE-SOURCE argument.
	(package-get-update-base): pass the REMOTE-SOURCE arg.
	(package-get-update-base-entry): call package-get-custom-add-entry.
	(package-get-file-installed-p): removed; no longer needed.
	(package-get-create-custom): ditto.
	(toplevel): remove code to build and load package-get-custom.el
	(package-get-custom-add-entry): new function.

1998-10-12  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-button-click): Don't switch window.

1998-10-22  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* cus-face.el (custom-set-face-update-spec): Add autoload cookie

1998-10-15  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-update-base): use
	insert-file-contents-internal, not insert-file-contents-literally.

1998-10-14  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* auto-save.el: expand-file 'auto-save-*-dir' at runtime not at
	dump time. 

1998-10-15  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-update-base-entry): new function.
	(package-get-update-base): renamed; was `package-get-load-base'.
	cleanup, and use package-get-update-base-from-buffer.
	(package-get-update-base-from-buffer): new function.
	(package-get-update-base-entries): new; helper for above.
	Do not eval lisp grabbed over ftp; parse it from new format.

1998-10-15  Greg Klanderman  <greg@alphatech.com>

	* files.el (set-auto-mode): Don't play games loading package-get
	database; package-get-package-provider will handle it all.

1998-10-14  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-base-filename): new variable.
	(package-get-require-base): new function.
	(package-get-pgp-signed-begin-line): new variable.
	(package-get-pgp-signature-begin-line): ditto.
	(package-get-pgp-signature-end-line):  ditto.
	(package-get-load-base): new function.
	(package-get-interactive-package-query):
	(package-get-update-all):
	(package-get-dependencies):
	(package-get-package-provider):
	(package-get-custom): use package-get-require-base.
	[package-get-custom loading]: disable for now.

	* package-ui.el (pui-list-packages): use (package-get-require-base)

1998-10-14  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-ui.el: Correct obvious thinko in choosing extent face.

1998-10-12  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* menubar-items.el (default-menubar): pui-list-package has nothing 
	to with Customize. Move all the package stuff to a new Item in Options.

	* package-ui.el (pui-menu): Add menu and Popup menu.

	* package-get.el (package-get): Use new
	package-admin-get-install-dir.

	* package-admin.el (package-admin-get-install-dir): New syntax.
	Conserve package location and put mule packages where mule-base is.

	* package-get.el : Customized

	* package-ui.el (pui): Customized
	(pui-package-install-dest-dir): New variable.
	(pui-install-selected-packages): Use it

1998-10-12  SL Baur  <steve@altair.xemacs.org>

	* package-get.el (package-get-interactive-package-query): Move
	dependency on package-get-base to run-time.
	(package-get-update-all): Ditto.
	(package-get-dependencies): Ditto.
	(package-get-package-provider): Ditto.
	(package-get-custom): Ditto.

1998-10-11  Glynn Clements  <glynn@sensei.co.uk>

	* events.el: Remove 'ascii-character property from 'backspace
	and 'delete symbols

1998-10-11  SL Baur  <steve@altair.xemacs.org>

	* package-get-base.el: removed.

1998-10-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* x-font-menu.el (font-menu-set-font): Respect font-menu-frame-local

1998-10-07  Greg Klanderman  <greg@alphatech.com>

	* package-admin.el (package-admin-rmtree): rewritten.  need to
	check for "." and ".." before symlink check.  expand files and
	directories with respect to DIRECTORY, not default-directory.

1998-10-04  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-all): add INSTALL-DIR argument.

1998-10-06  Greg Klanderman  <greg@alphatech.com>

	* package-ui.el (pui-add-required-packages): new function, select
	dependent packages.
	(pui-display-keymap): bind it.
	(pui-help-string): document it.
	(pui-install-selected-packages): package-get-all -> package-get.

	* package-get.el (package-get-dependencies): new function.

1998-10-04  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-done): Use regexp-search-ring-max for
	regexps.

1998-09-30  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-admin.el (package-admin-delete-binary-package):
		General cleanup. Remove unnessary use of progn and
	save-excursion. 
	(package-admin-delete-binary-package): Do NOT mess with file
	modes. That is evil. 
	(package-admin-delete-binary-package): Wrap all deleting in
	condition-case. The data in MANIFEST is untrustworthy.
	(package-admin-delete-binary-package): Let the OS worry about non
	empty directories.

1998-10-09  SL Baur  <steve@altair.xemacs.org>

	* lisp-mnt.el (lm-commentary): Fix InfoDock-style comment
	processing.
	(lm-report-bug): Fix mail address to send bug reports to.

1998-09-29  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre14 is released.

1998-08-14  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* files.el (auto-mode-alist): Enhanced regexp for perl-mode

1998-09-22  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* info.el (Info-mode): Document page turning by double clicks in
	docstring so `M-x describe-mode' will display it.

1998-09-20  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* info.el (Info-mouse-track-double-click-hook): Use character
	widths to calculate a border region where double clicking does
	page turning, and return `nil' by default so other hooks, such as
	region highlighting, will be run.

1998-09-29  Colin Rafferty   <colin@xemacs.org>

	* sound.el (default-sound-directory-list): Initialize with all the 
	"sounds" directories in `data-directory-list'.  It used to just be 
	the first one.

	* packages.el (locate-data-directory-list): Created.  This gives
	the list of matching directories, unlike `locate-data-directory',
	which just gives the first one.

1998-09-28  Raymond Wiker <raymond@orion.no>

	* packages.el: Added "man" as a special subdirectory of packages.

1998-09-26  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* minibuf.el (read-from-minibuffer): No longer bind help-form but
	make a binding in the local keymap until help-char handling is
	improved. 

	* help.el (help-keymap-with-help-key): Provide keymap with help
	binding.
	(help-print-help-form): New helper function.

1998-09-23  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-highlight): set-extent-endpoints can
	move extent to another buffer; no need to create a new extent.
	(isearch-fix-case): New function.
	(isearch-search-and-update): Use it.

1998-09-20  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* msw-faces.el (mswindows-init-device-faces): Don't try to
	  specify a default font at this late stage. Do try to force
	  creation of the default face font so that if it fails we get
	  an error now instead of a crash at frame creation.

	  mswindows-font-canonicalize-name, mswindows-make-font-unbold,
	  mswindows-make-font-unitalic: Canonical default weight
	  changed from "Normal" to "Regular".

	  mswindows-make-font-bold / -bold-italic: Supplied device was
	  not being passed into call to mswindows-find-smaller-font.

1998-09-10  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* package-get.el (package-get-remote): Fix the path where to find
	  the packages on xemacs.org.

1998-09-08  Hrvoje Niksic  <hniksic@srce.hr>

	* about.el (about-maintainer-info): Update Ben's entry.

1998-09-20  Darryl Okahata  <darrylo@sr.hp.com>

	* packages.el: Added new function, `package-delete-name', to
	  delete existing packages from the installed package database
 	  (`packages-package-list').  Also added the "pkginfo" directory
 	  to `packages-special-base-regexp', so that the pkginfo directory
 	  would not get added to `late-packages'.

	* package-admin.el: Added ability to delete an installed package
	  (added low-level function, `package-admin-delete-package').
  	  Understands how to use the pkginfo/MANIFEST.<package> file to
 	  delete the package.  When installing a package, will also
 	  create a MANIFEST.* file if one is not provided by the
 	  package.  If the MANIFEST.* doesn't exist when deleting a
 	  package, the functions will fall back to attempting to delete
 	  any package-specific lisp directory.

	* package-get.el: Moved some functions to package-admin.el.
	  Added interactive function `package-get-delete-package', for
	  use by users for deleting a package.

	  Also modified to not require the prescence of efs.

1998-09-22  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (find-file-noselect): Handle all signals, kill the
	buffer and resignal.

1998-09-23  SL Baur  <steve@altair.xemacs.org>

	* cl-macs.el (glyph-image): Add setf method.

1998-09-15  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Eliminate reference to
	InfoDock-specific id-menus.el.

1998-09-06  Darryl Okahata  <darrylo@sr.hp.com>

	* package-get.el: Fixed broken EFS downloading.  Also, look for
	  .tar.gz files first, in preference over .tgz files.

	* package-ui.el: Fix display of package version numbers.

1998-08-27  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* x-font-menu.el (font-menu-set-font):  Add "pt" units to size
	argument.	

1998-09-05  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre12 is released.

1998-09-03  Darryl Okahata  <darrylo@sr.hp.com>

	* list-mode.el: `display-completion-list': added new/optional
	  keyword `:completion-string', which allows the programmer to
	  change the "Possible completions are:" prompt.

	* menubar-items.el: Added new pulldown menu-pick to start up the 
	  visual package browser/installer:

		Options->Customize->List Packages

	* package-admin.el: Added hooks for installing under both Unix
	  and MS Windows.  Does additional error checking.  No longer
	  calls "add-big-package.sh" to install packages under Unix; now 
	  calls gunzip & tar directly.

	* package-get.el: Added ability to install packages from files
	  on a local disk/CDROM.  Now deletes any existing package lisp
	  directory.  Does completion on available packages when
	  querying for package names.  Will also search for .tgz files
	  in addition for .tar.gz files.  Tries to reload
	  auto-autoloads, as a convenience when loading new packages,
	  and also tries to add any new package paths to `load-path'.
 	  Changed all occurrences of `concat' to use `expand-file-name'.

	* package-ui.el: New file which implements the main visual
	  package browser/installer, which is started via a menu pick or 
	  M-x pui-list packages.

1998-09-03  Hrvoje Niksic  <hniksic@srce.hr>

	* startup.el (load-init-file): spelling fix.

1998-09-02  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* startup.el (normal-top-level): Load auto-autoload files
	covariantly with their precedence.

1998-08-26  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* menubar-items.el (default-menubar): Remove "Font Weight"
	option, there is currently no custom equivalent.. Customize-faces
	is "Edit faces".

	* x-font-menu.el (font-menu-set-font): Use customize to set
	default face.

	* faces.el (face-spec-update-all-matching): New function.

	* cus-face.el (custom-set-face-update-spec): New function.
	Interface to customize faces from elisp.

	(custom-face-value-create): Show the customized settings if set
	but not saved.

1998-08-26  Jan Vroonhof  <vroonhof@math.ethz.ch>

	(custom-face-value-create): Show the customized settings if set
	but not saved.

1998-08-31  Hrvoje Niksic  <hniksic@srce.hr>

	* keydefs.el (global-map): Add FSF 20.3 binding of
	query-replace-regexp.

1998-08-26  SL Baur  <steve@altair.xemacs.org>

	* obsolete.el (column-number-start-at-one): Make obsolete.

1998-08-22  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre11 is released.

1998-08-22  SL Baur  <steve@altair.xemacs.org>

	* wid-edit.el (widget-image-conversion): Push priority of PNGs to
	highest.

1998-08-19  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* loadup.el: 
	* make-docfile.el: 
	* update-elc.el: Don't set `source-directory' (now defunct as a
	global variable) no more.

	* packages.el (packages-list-autoloads): Made `source-directory'
	(now defunct as a global variable) a parameter.

1998-08-22  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre10 is released.

1998-08-13  Carsten Leonhardt  <leo@arioch.oche.de>

	* about.el (about-hackers): new email

1998-08-16  SL Baur  <steve@altair.xemacs.org>

	* lisp-mode.el (with-string-as-buffer-contents): Set indentation.

1998-08-11  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre9 is released.

1998-08-11  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* find-paths.el (paths-file-readable-directory-p): Created and
	used.

	* loadup.el: Don't set inhibit-... flags from run-temacs.

1998-08-06  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (packages-data-path-depth): Added and used.

1998-08-05  Charles G. Waldman <cgw@pgt.com>

	* about.el:
	- Change .xpm to .png, delete "zcat" section.
	- cosmetic fix in the 'marcpa' entry.

	* etc/photos
	- convert all .xpm.Z to .png
	- rename mrb to martin
	- rename mcook-m to mcookm

1998-07-31  Martin Buchholz  <martin@xemacs.org>

	* x-init.el (x-initialize-compose): Add support for
	dead-circumflex as YET ANOTHER NAME for that dead key.

1998-08-05  Colin Rafferty <colin@xemacs.org>

	* setup-paths.el (paths-construct-exec-path): Made the
	last-packages really be last.
	(paths-construct-data-directory-list): Ditto.

1998-08-01  Kai Haberzettl  <khaberz@synnet.de>

	* startup.el(startup-splash-frame-body): 
	Update Copyright notice in splash screen 

1998-08-04  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre8 is released.

1998-07-22  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* font-lock.el (font-lock-fontify-glumped-region): Add guard
	aginst destroyed extents

1998-07-24  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get): add `install-dir' argument.

1998-07-20  John Jones  <jj@asu.edu>

	* package-get.el: calls to package-get-update-all will only
	  update packages which are already installed.

1998-07-20  Colin Rafferty   <colin@xemacs.org>

	* about.el (about-hackers): Correct my email.

1998-07-20  Kai Haberzettl  <khaberz@synnet.de>

	* about.el (about-hackers): new email-address.

1998-07-25  SL Baur  <steve@altair.xemacs.org>

	* minibuf.el (read-number): Don't let `input-error' condition
	escape.

1998-07-23  SL Baur  <steve@altair.xemacs.org>

	* autoload.el (update-file-autoloads): Ensure autoloads buffer is
	writable.

1998-07-20  Greg Klanderman  <greg@alphatech.com>

	* about.el (about-hackers): use my `email-for-life' address.

1998-07-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre7 is released.

1998-07-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre6 is released.

1998-07-12  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-search): Doc string change

1998-07-16  Colin Rafferty   <colin@xemacs.org>

	* menubar-items.el (default-menubar): Removed references to
	`data-directory', and use `locate-data-file' instead, and made 
	then greyed out if they don't exist.

1998-07-14  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* keymap.el (events-to-keys): Use `format' instead of `concat'
	since the latter does not accept integer args anymore

1998-07-12  SL Baur  <steve@altair.xemacs.org>

	* msw-mouse.el: Global change resource -> mswindows-resource.

1998-07-15  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Usage of Lisp read-time
	macros replaced.

1998-07-14  SL Baur  <steve@altair.xemacs.org>

	* make-docfile.el: Get first initialization from very-early-lisp.el
	* update-elc.el: Ditto.
	* loadup.el (really-early-error-handler): Ditto.

	* packages.el (packages-unbytecompiled-lisp): Add new file,
	very-early-lisp.el.

	* very-early-lisp.el: New file.

1998-07-12  SL Baur  <steve@altair.xemacs.org>

	* about.el: Fix typos, update release date.

	* XEmacs 21.0-pre5 is released.

1998-07-11  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Credits update.

1998-07-11  Hrvoje Niksic  <hniksic@srce.hr>

	* register.el (insert-register): Don't activate the region.

1998-07-10  SL Baur  <steve@altair.xemacs.org>

	* select.el: Restore x-* symbols for backwards compatibility:
	x-copy-primary-selection, x-kill-primary-selection,
	x-delete-primary-selection, x-select-make-extent-for-selection,
	x-valid-simple-selection-, x-cut-copy-clear-internal.

1998-07-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre4 is released.

1998-06-28  Hrvoje Niksic  <hniksic@srce.hr>

	* menubar-items.el (default-menubar): Use `report-emacs-bug' for
	reporting bugs.
	(maybe-add-init-button): Fix semantics under Windows.  Use
	`expand-file-name' rather than `concat'.

	* help.el (print-messages): New function.

1998-07-05  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-host-parameters-alist): Docstring fixes

1998-07-04  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* about.el: Tweaked my entry in about-hackers.

	* find-paths.el (paths-emacs-root-p):
	  Relaxed emacs-root checking of an in-place installation to
	  also accommodate the flat layout used on MS Windows.

1998-06-29  John Jones  <jj@asu.edu>

	* package-get.el: calls to package-get-update-all will only
	  update packages which are already installed.

1998-07-05  Andy Piper  <andyp@parallax.co.uk>

	* faces.el (xpm-color-symbols): remove hardcoded defaults these
 	are handled by the gui-element face fallbacks now.
	
	* x-faces.el: default gui-element face to "background" as well as
 	the default face.

	* msw-faces.el (mswindows-init-device-faces): remove gui-element
 	and default face settings since these are set as fallbacks now in
 	the appropriate domain.

1998-07-02  SL Baur  <steve@altair.xemacs.org>

	* text-mode.el (text-mode): Reorder regexp so the OR part
	corresponding to `page-delim' goes first and the hack in
	`forward-paragraph' will work.
	With bug analysis from Bob Weiner <weiner@altrasoft.com>
	
1998-06-29  Kyle Jones  <kyle_jones@wonderworks.com>

	* subr.el (remove-hook): When checking the hook value
	  with functionp, don't apply car to it.

1998-06-24  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* package-get.el (package-get-remote-filename):
	  Don't use file-name-as-directory because the local directory
	  separator conventions might not be the same as ftp's.

1998-06-27  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-host-parameters-alist): New name of
	`ldap-host-parameters-plist'

1998-06-26  Adrian Aichner  <aichner@ecf.teradyne.com>

	* package-get.el: Using (require 'package-get-base), now that it
	provides itself.  Consequently removed all instances of (load
	"package-get-base.el").

1998-06-29  Kyle Jones  <kyle_jones@wonderworks.com>

	* subr.el (remove-hook): Don't treat the hook value as a 
	  list unless it is both consp and not functionp.

1998-06-29  SL Baur  <steve@altair.xemacs.org>

	* about.el: Email address for Ben Wing is ben@xemacs.org.
	* auto-show.el: Ditto.
	* bytecomp.el: Ditto.
	* faces.el: Ditto.
	* x-scrollbar.el: Ditto.
	* x-misc.el: Ditto.
	* tty-init.el: Ditto.
	* toolbar-items.el: Ditto.
	* symbol-syntax.el: Ditto.
	* specifier.el: Ditto.
	* objects.el: Ditto.
	* hyper-apropos.el: Ditto.
	* glyphs.el: Ditto.

1998-06-27  Hrvoje Niksic  <hniksic@srce.hr>

	* mouse.el (drag-window-divider): vertical-divider-draggable-p ->
	vertical-divider-always-visible-p.
	(default-mouse-motion-handler): Ditto.

1998-06-21  Hrvoje Niksic  <hniksic@srce.hr>

	* scrollbar.el (scrollbars-visible-p): Simplify.  Always set the
	global value.

1998-06-21  Oliver Graf <ograf@fga.de>

	* build-reports.el: changed receiver to xemacs-build-reports list

1998-06-19  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* font.el: Split font-family-mappings into X and
	  mswindows-specific versions.
	  mswindows-font-create-[object|name]: Treat supplied size
	  as a pointsize. Added underline and strikethru handling.

	* msw-faces.el: changed default mswindows charset to western.

	* msw-glyphs.el: removed space in border-glyph font string that
	  was inserted to get round bugs in the mswindows C font code.

1998-06-27  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Credits update.

	* help-nomule.el (tutorial-supported-languages): Add Romanian
	TUTORIAL.

	* code-files.el (file-coding-system-alist): Hardwire TUTORIAL.ro
	to ISO-8859-2.

1998-06-19  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* font.el: Split font-family-mappings into X and
	  mswindows-specific versions.
	  mswindows-font-create-[object|name]: Treat supplied size
	  as a pointsize. Added underline and strikethru handling.

	* msw-faces.el: changed default mswindows charset to western.

	* msw-glyphs.el: removed space in border-glyph font string that
	  was inserted to get round bugs in the mswindows C font code.

1998-06-15  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* minibuf.el: make read-color-completion-table call 
	  (mswindows-color-list for mswindows devices.

1998-06-18  Sam Mikes  <smikes@alumni.hmc.edu>

	* lisp/font-lock.el
	(font-lock-match-c++-style-declaration-item-and-skip-to-next):
	Let declaration items contain non-word symbol characters.

1998-06-15  Adrian Aichner  <aichner@ecf.teradyne.com>

	* package-get.el (package-get-package-provider): Added autoload
	cookie.  Loading "package-get-base.el" in ALL functions that use
	it.  Fixed some (interactive ...) with multiple argument specs
	again.  Cosmetic indentation changes.

1998-05-27  Glynn Clements  <glynn@sensei.co.uk>

	* info.el (Info-insert-dir): Don't use nreverse on variables
	that you want to use later.

1998-06-17  Glynn Clements  <glynn@sensei.co.uk>

	* x-mouse.el (x-set-point-and-move-selection): Replace call
	to x-kill-primary-selection with kill-primary-selection

1998-06-12  Martin Buchholz  <martin@xemacs.org>

	* simple.el (what-cursor-position): Make cursor position reported
	use value of column-number-start-at-one

1998-06-17  SL Baur  <steve@altair.xemacs.org>

	* about.el (xemacs-hackers): Fix Jareth's email address.

1998-06-16  SL Baur  <steve@altair.xemacs.org>

	* startup.el (startup-splash-frame): Remove
	`xemacs-startup-logo-function'.

1998-06-15  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Update credits list.

1998-06-06  Jeff Miller <jmiller@smart.net>

	* lisp/sound.el: Update sound-ext to allow filenames with
	  extensions to be found by load-sound-file

1998-06-14  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info.el (Info-rebuild-outdated-dir): Removed variable
	(Info-auto-generate-directory): New variable
	(Info-save-auto-generated-dir): New variable
	(Info-maybe-update-dir): Use `Info-auto-generate-directory'
	(Info-build-dir-anew): Second parameter removed.  Use
	`Info-save-auto-generated-dir' 
	(Info-rebuild-dir): Ditto

1998-06-02  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* list-mode.el (next-list-mode-item): Would not recognize
	border between directly neighbored items.

1998-06-12  Andy Piper  <andyp@parallax.co.uk>

	* package-get.el: add autoloads for some functions.

1998-06-10  Hrvoje Niksic  <hniksic@srce.hr>

	* specifier.el (let-specifier): Tiny docfixes.

1998-06-12  Andy Piper  <andyp@parallax.co.uk>

	* msw-mouse.el: set selection-pointer-glyph to Normal.

1998-06-09  Per Abrahamsen  <abraham@dina.kvl.dk>

	* wid-edit.el (widget-specify-secret): New function.
	(widget-after-change): Use it.
	(widget-specify-field): Use it.

1998-06-08  Hrvoje Niksic  <hniksic@srce.hr>

	* mouse.el (drag-window-divider): Use `(not done)' instead of
	`doit'; reuse result of `window-pixel-edges'.

	* modeline.el (drag-modeline-event-lag): Rename to
	drag-divider-event-lag.

1998-06-07  Hrvoje Niksic  <hniksic@srce.hr>

	* specifier.el (let-specifier): Rewritten not to generate needless
	`let's; clarified documentation; support TAG-SET and HOW-TO-ADD
	arguments.

1998-05-28  Hrvoje Niksic  <hniksic@srce.hr>

	* minibuf.el (read-file-name-1): Setup buffer-local value of
	`completion-ignore-case' in completions buffer under Windows.

1998-06-06  Kirill M. Katsnelson  <kkm@kis.ru>

	* about.el (about-maintainer-glyph): Fix support for not
	compressed images.

1998-06-04  Kirill M. Katsnelson  <kkm@kis.ru>

	* cmdloop.el (cancel-mode-internal): Defined this do-nothing function.

	* mouse.el (mouse-track): Cancel selection if misc-user event with
	`cancel-mode-internal' function is fetched.

1998-06-03  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (save-some-buffers-1): Fixed return value.

1998-06-01  Oliver Graf <ograf@fga.de>

	* dragdrop.el: added experimental

1998-05-26  Stephen J. Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* startup.el (after-init-hook, init-file-user,
	user-init-directory, load-user-init-file):  Purge references
	to "~/.xemacs/init.el" from docstrings.

	(load-user-init-file) Use paths-construct-path to construct
	paths to user init files.  Go directly to ~/.emacs, do not
	search ~/.xemacs/, do not load `default-custom-file'.

1998-06-03  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (interpreter-mode-alist): Catch wish and tclsh before
	general	*sh.
	(inhibit-first-line-modes-regexps): Added `.tar.gz'.

1998-06-03  Andy Piper  <andyp@parallax.co.uk>

	* menubar-items.el (default-menubar): add Update Packages to customize
	menu.

1998-06-02  Andy Piper  <andyp@parallax.co.uk>

	* faces.el: use toolbar face as a fallback for toolbar properties
	in xpm-color-symbols instead of default.

	* msw-faces.el: rename 3d-object -> gui-element face.

1998-06-06  SL Baur  <steve@altair.xemacs.org>

	* startup.el (xemacs-startup-logo-function): New variable.
	(startup-splash-frame): Use it.

1998-06-02  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (save-some-buffers): Would wait 1 second.
	(save-some-buffers-1): Delete other windows here instead of in
	`save-some-buffers'.
	(save-some-buffers): Force redisplay only if windows were deleted.

1998-06-02  Didier Verna  <verna@inf.enst.fr>

	* cus-face.el (custom-face-attributes): generalized the use of
	toggle buttons for boolean attributes. 
	Re-ordered the items a bit.

1998-06-01  SL Baur  <steve@altair.xemacs.org>

	* sound.el (default-sound-directory): Use `locate-data-directory'
	to find the sounds directory.

1998-05-29  Andy Piper  <andyp@parallax.co.uk>

	* sound.el: default sound-ext to .wav under mswindows, .au
	otherwise. load-default sounds without extensions.

1998-05-27  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* menubar-items.el (default-menubar): Dim out "Submit Bug Report"
	if send-pr is not bound.

1998-06-01  Andy Piper  <andyp@parallax.co.uk>

	* files.el: grok idl files in auto-mode-alist.
1998-06-01  Jeff Miller  <jmiller@smart.net>

	* minibuf.el (exact-minibuffer-completion-p): check for nil before
	calling `upcase'.

1998-05-30  Andy Piper  <andyp@parallax.co.uk>

	* msw-glyphs.el: add xbm to the list of image types supported.

1998-05-30  Kirill M. Katsnelson  <kkm@kis.ru>

	* msw-init.el (init-post-mswindows-win): Load InfoDock toolbar
	instead of XEmacs one when dumping InfoDock.

1998-05-30  Kirill M. Katsnelson  <kkm@kis.ru>

	* obsolete.el (has-modeline-p): Added obsolete alias `has-modeline-p'
 	for `modeline-visible-p'

	* winnt.el (nt-quote-process-args): Fix for duplicating argv[0].

1998-05-29  Andy Piper  <andyp@parallax.co.uk>

	* msw-select.el (mswindows-cut-copy-clear-clipboard): deleted
	since it's not used anymore. doc string fixes.

	* package-get.el (package-get-file-installed-p): new function. use
	instead of file-installed-p which is in an external package.

1998-05-28  Oliver Graf <ograf@fga.de>

	* dragdrop.el (dragdrop-drop-url-default): dropped pop-to-buffer in
	favor of select-window/switch-to-buffer

Wed May 27, 1998  Darryl Okahata  <darrylo@sr.hp.com>

	* startup.el: changed (getenv "HOME") to (user-home-directory)

1998-05-25  Oliver Graf <ograf@fga.de>

	* frame.el (cde-start-drag) moved to dragdrop.el
	(offix-start-drag-region) moved to dragdrop.el
	(offix-start-drag) moved to dragdrop.el
	* dragdrop.el (cde-start-drag) moved from frame.el
	(offix-start-drag-region) moved from frame.el
	(offix-start-drag) moved from frame.el
	(cde-start-drag-region) cde drag regions
	* mouse.el (mouse-drag-or-yank) will now call cde-start-drag-region

1998-05-26  Oliver Graf <ograf@fga.de>

	* dragdrop.el: created dragdrop-drag prototypes
	(cde-start-drag-region) fixed typo

1998-05-28  SL Baur  <steve@altair.xemacs.org>

	* simple.el (after-init-hook): Remove reader macro.

	* packages.el (packages-hardcoded-lisp): Get rid of reader
	macros.  Update DOC string.

1998-05-25  Hrvoje Niksic  <hniksic@srce.hr>

	* mouse.el (drag-window-divider): Ditto.

	* modeline.el (mouse-drag-modeline): Use it.

	* lisp-mode.el (let-specifier): Specify indentation.

	* specifier.el (let-specifier): Renamed from
	`with-specifier-instance'.

1998-05-27  Andy Piper  <andyp@parallax.co.uk>

	* x-faces.el:
	* faces.el: move definition of xpm-color-symbols from x-faces.el
	to faces. Predicate x-get-resource on the presence of x.

	* msw-faces.el: set 3d-object face rather than modeline. Specifiy
	faces as specfier defaults.

	* package-get.el: don't use package-admin-add-single-file-package.

1998-05-25  Hrvoje Niksic  <hniksic@srce.hr>

	* toolbar-items.el: Fixup tooltips.
	(toolbar-gnus): Don't use obsolete variable
	toolbar-news-frame-properties.
	(toolbar-news-reader): Default to `gnus' instead of
	`not-configured'.

	* files.el (auto-mode-alist): Correctly recognize `.emacs' under
	Windows.

1998-05-25  Andy Piper  <andyp@parallax.co.uk>

	* package-get.el: rename -installedp -> -installed-p.

1998-05-23  Kirill M. Katsnelson  <kkm@kis.ru>

	* glyphs.el (init-glyphs): Created `border-glyph' face, with no
	attributes, and assinged it to continuation, truncation and
	hscroll glyphs.

	* msw-glyphs.el: Assigned WinDings font to `border-glyph' face,
	and made continuation, truncation and hscroll glyphs arrow
	characters out of that font.

1998-05-22  Hrvoje Niksic  <hniksic@srce.hr>

	* minibuf.el (minibuffer-electric-separator): Play nicely with
	directory-sep-char being \.
	(minibuffer-electric-tilde): Ditto.
	(read-file-name-map): Ditto.

1998-05-22  Hrvoje Niksic  <hniksic@srce.hr>

	* mouse.el (default-mouse-track-maybe-own-selection): Pause only
	on X devices.
	(default-mouse-track-deal-with-down-event): Avoid
	`x-disown-selection'; use `disown-selection' instead.

1998-05-21  Andy Piper  <andyp@parallax.co.uk>

	* select.el:
	* x-select.el: selection cleanup. (x-cut-copy-clear-internal)
	moved to (cut-copy-clear-internal) in select.el. Ditto for
	(x-delete-primary-selection) (x-kill-primary-selection)
	(x-copy-primary-selection). 
	(own-clipboard): new function.

	* msw-select.el: use the new kill/delete/copy/cut-copy-clear
	functions in select.el. remove old ones.
	(mswindows-own-clipboard): new function.

1998-05-21  Andy Piper  <andyp@parallax.co.uk>

	* gnuserv.el: allow connections from mswindows type devices.

1998-05-20  Andy Piper  <andyp@parallax.co.uk>

	* msw-glyphs.el: change image type used from cursor to resource.

1998-05-20  Kirill M. Katsnelson  <kkm@kis.ru>

	* x-scrollbar.el (x-init-scrollbar-from-resources): Added support
	for {top,bottom}-{left,right} values in addition to
	{top,bottom}_{left,right}.
	Use x-get-resource instead of x-get-resource-and-bogosity-check.

1998-05-20  Hrvoje Niksic  <hniksic@srce.hr>

	* cl-macs.el (specifier-instance): Undefine its setf method.

	* specifier.el (with-specifier-instance): Added docstring.

	* mouse.el (drag-window-divider): Ditto.

	* modeline.el (mouse-drag-modeline): Use it.

	* lisp-mode.el (with-specifier-instance): Define its indentation
 	level.

	* specifier.el (with-specifier-instance): New macro.

1998-05-19  Andy Piper  <andyp@parallax.co.uk>

	* package-get.el (package-get-create-custom): new function to
	auto-generate package-get-custom.el from package-get-base.el.
	* (package-get-ever-installedp): new function.
	* (package-get-custom): new function to get all packages specified
	by customize.

1998-05-19  Hrvoje Niksic  <hniksic@srce.hr>

	* cus-edit.el (custom-file): Revert to `~/.emacs'.

1998-05-23  SL Baur  <steve@altair.xemacs.org>

	* cl-extra.el: Reverse previous float change.

1998-05-17  Andy Piper  <andyp@parallax.co.uk>

	* x-faces.el:
	* faces.el (try-font-name): moved from x-faces.el since it is
	required by w3 under mswindows as well X.

1998-05-18  Kirill M. Katsnelson  <kkm@kis.ru>

	* winnt.el: Removed evil (setq completion-ignore-case t)
	clause, one more overlookef fsfism.
	(nt-quote-args-functions-alist): End sentences with double space.

1998-05-18  Kirill M. Katsnelson  <kkm@kis.ru>

	* window-xemacs.el (push-window-configuration): Remove kludgery of
	recaching default-toolbar specifier.
	(pop-window-configuration): Ditto.
	(unpop-window-configuration): Ditto.

1998-05-16  Hrvoje Niksic  <hniksic@srce.hr>

	* modeline.el (modeline-minor-mode-menu): Don't use :menu-tag.

1998-05-17  Kirill M. Katsnelson  <kkm@kis.ru>

	* winnt.el (nt-quote-args-verbatim): Added function.
	(nt-quote-args-prefix-quote): Added function.
	(nt-quote-args-backslash-quote): Added function.
	(nt-quote-args-double-quote): Added function.
	(nt-quote-args-functions-alist): New variable.
	(nt-quote-process-args): Added function. This is the main quoting
	work horse called from process-nt.c

1998-05-16  Kirill M. Katsnelson  <kkm@kis.ru>

	* winnt.el: Removed duplicate definitions for backspace,
	delete, M-backspace and C-M-backspace.
	(file-name-buffer-file-type-alist): Removed this variable.
	(find-buffer-file-type): Removed function.
	(find-file-binary):  Removed function.
	(find-file-text): Removed function.
	(find-file-not-found-set-buffer-file-type): Removed function.
	(save-to-unix-hook): Removed function.
	(revert-from-unix-hook): Removed function.
	(using-unix-filesystems): Removed function.
	(original-make-auto-save-file-name): DEFSUBR to avoid doc snarf
	warning.
	(x-set-selection): Removed function.
	(x-get-selection): Removed function.
	Removed commented FSFisms.
	Replaced copyright notice (this file is not part of GNU Emacs).
	(nt-shell-mode-hook): Moved here from a lambda expression. Added
	comint-process-echoes setting to t.

1998-05-17  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>
	
	* packages.el (packages-no-package-hierarchy-regexp): Introduced
	and used following the interface change of
	`paths-find-recursive-path'.

	* find-paths.el (paths-find-recursive-path): Exclusion is now by a
	regexp instead of a list of base names.
 	(paths-version-control-filename-regexp):
	(paths-lisp-filename-regexp): (paths-no-lisp-directory-regexp):
	Introduced and used following the interface change of
	`paths-find-recursive-path'.

1998-05-16  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (delete-forward-p): Make it a defun; do X garbage only 
	on X devices, rather than on all non-TTY devices.

1998-05-16  Kirill M. Katsnelson  <kkm@kis.ru>

	* msw-mouse.el: New file. Sets up cursor shapes for Windows.

	* dumped-lisp.el (preloaded-file-list): Added msw-mouse.el

1998-05-17  Adrian Aichner  <aichner@ecf.teradyne.com>

	* itimer.el (activate-itimer): Fixed usage of integers
	as argument to `concat'.

1998-05-17  Glynn Clements  <glynn@sensei.co.uk>

	* itimer.el (start-itimer): replace the use of `concat' with
	`format'

1998-05-16  SL Baur  <steve@altair.xemacs.org>

	* mode-motion.el (mode-motion-hook): Clarify docstring.
	From Bob Weiner <weiner@altrasoft.com>

	* loadhist.el (symbol-file): Supply prompt string when used
	interactively.
	From Bob Weiner <weiner@altrasoft.com>

1998-05-16  Hrvoje Niksic  <hniksic@srce.hr>

	* loadup.el (really-early-error-handler): Ditto.

	* update-elc.el: Ditto.

	* setup-paths.el (paths-construct-exec-path): Ditto.

	* make-docfile.el: Ditto.

	* find-paths.el (paths-decode-directory-path): Use split-path
	instead of decode-path.

	* files.el (parse-colon-path): Update docstring reference.

1998-05-15  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* msw-init.el:
	* x-init.el:
	Bind cut'n'paste keys to non window-system specific functions.

	* msw-select.el: New function mswindows-clear-clipboard.
	mswindows-cut-copy-clipboard extended to handle clearing of the
	selection and renamed to mswindows-cut-copy-clear-clipboard.

	* select.el: on mswindows devices delete-primary-selection
	calls mswindows-clear-clipboard.

1998-05-15  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (quoted-insert): Inhibit quit when using read-char.

	* cmdloop.el (read-char): Don't inhibit quit.
	(read-char-exclusive): Ditto.
	(read-char): Signal quit if quit-char was pressed.
	(read-char-exclusive): Ditto.
	(read-quoted-char): Return a character, not integer.

	* menubar-items.el (default-popup-menu): Use Andy's generic
	selection code.
	(default-popup-menu): Fix code.

1998-05-14  Oliver Graf <ograf@fga.de>

	* dragdrop.el (dragdrop-function-widget): this time it's done

1998-05-13  Oliver Graf <ograf@fga.de>

	* dumped-lisp.el: dragdrop.el now based on dragdrop-api feature

1998-05-15  Kirill M. Katsnelson  <kkm@kis.ru>

	* device.el (device-pixel-width): 
	(device-pixel-height): 
	(device-mm-width): 
	(device-mm-height): 
	(device-bitplanes): 
	(device-color-cells): Swapped parameters to device-system-metric
	according to the interface change.

1998-05-14  Kirill M. Katsnelson  <kkm@kis.ru>

	* mouse.el (default-mouse-motion-handler): Use new name of the
	function event-over-vertical-divider-p.
	Do not set E-W arrow cursor over the divider if
	vertical-divider-draggable-p is nil in the window.
	([top-level]): Use new name for the variable
	vertical-divider-map.
	(drag-window-divider): Respect vertical-divider-draggable-p.
	Variable name typo fixes.

1998-05-14  Hrvoje Niksic  <hniksic@srce.hr>

	* keymap.el (kbd): Define here; handle string constants and
	others...

1998-05-15  Christian Nyb <chr@mediascience.no>

	* simple.el (zap-up-to-char): New function.  Behaves like `zap-to-char'
	in Emacs 18.

1998-05-13  Didier Verna  <verna@inf.enst.fr>

	* mouse.el (drag-window-divider): give the vertical divider a
	pressed look when dragging it.

1998-05-13  Andy Piper  <andyp@parallax.co.uk>

	* faces.el: predicate some more face operations on x or mswindows
	not just x.

	* modeline.el: enable modeline coloring for mswindows.

1998-05-13  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* minibuf.el (minibuffer-default): Added variable; compatible with
	FSF Emacs.
	(next-history-element): Used `minibuffer-default'.

1998-05-12  Oliver Graf <ograf@fga.de>

	* dragdrop.el (dragdrop-function-widget): button and mods ok
	arguments still look a bit strange
	(dragdrop-compare-mods) created
	(dragdrop-drop-do-functions) correctly checks for buttons and
	modifiers

1998-05-14  Hrvoje Niksic  <hniksic@srce.hr>

	* setup-paths.el (paths-default-info-directories): Replace
	path-separator with directory-sep-char.

	* files.el (path-separator): Don't define it here.

1998-05-14  Hrvoje Niksic  <hniksic@srce.hr>

	* update-elc.el: Ditto.

	* setup-paths.el (paths-construct-exec-path): Ditto.

	* make-docfile.el: Ditto.

	* loadup.el (really-early-error-handler): Ditto.

	* find-paths.el (paths-decode-directory-path): Use decode-path
	instead of decode-path-internal.

	* files.el (parse-colon-path): Update docstring.

1998-05-13  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (get-buffer-window-list): Make BUFFER optional.

	* window-xemacs.el (windows-of-buffer): Defalias to
	get-buffer-window-list.

1998-05-12  Hrvoje Niksic  <hniksic@srce.hr>

	* disass.el: Fix maintainer keyword.

	* bytecomp.el (byte-compile-and-load-file): Autoload.
	(byte-compile-buffer): Ditto.

	* lisp-mode.el (eval-last-sexp): Skip ` in `variable' so that the
	value is returned, not the name.
	(lisp-imenu-generic-expression): Enable it.
	(lisp-mode-variables): Ditto.
	(lisp-indent-offset): Change defconst to defvar.
	(lisp-indent-function): Ditto.
	(lisp-body-indent): Ditto.

1998-05-12  Hrvoje Niksic  <hniksic@srce.hr>

	* modeline.el: Use zap-last-kbd-macro-event.

	* lisp-mode.el (eval-interactive): If eval-interactive-verbose is
	nil, don't attempt to do anything with messages.
	(eval-last-sexp): Use `letf' for clarity.

1998-05-12  Hrvoje Niksic  <hniksic@srce.hr>

	* startup.el: It's still `.emacs', not yet `.xemacs/init.el'.

1998-05-11  Martin Buchholz  <martin@xemacs.org>

	* buff-menu.el:
	* lisp-mode.el:
	* obsolete.el:
	Change empty docstrings into no doc strings at all.
	Fix bogus FSF-format docstrings.
	* etags.el: Fix docstring.

1998-05-11  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (package-get): Use internal md5

1998-05-13  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-xemacs): Correct abuse of concat.

1998-05-11  SL Baur  <steve@altair.xemacs.org>

	* info.el (Info-mode): Use easymenu.

1998-05-12  Hrvoje Niksic  <hniksic@srce.hr>

	* apropos.el (apropos): Don't use concat with integers.

	* cmdloop.el (describe-last-error): Handle the case when no error
	was seen gracefully.

	* apropos.el (apropos-print): Use with-displaying-help-buffer as
 	defun.
	(apropos-describe-plist): Ditto.

	* help.el (with-displaying-help-buffer): Revert to a defun.
	(describe-key): Use it as defun.
	(describe-mode): Ditto.
	(describe-bindings): Ditto.
	(describe-prefix-bindings): Ditto.
	(describe-installation): Ditto.
	(view-lossage): Ditto.
	(describe-function): Ditto.
	(describe-variable): Ditto.
	(describe-syntax): Ditto.

1998-05-11  Oliver Graf <ograf@fga.de>

	* dragdrop.el: changed order of require/provide
	(dragdrop-drop-mime-default) changed to new calling conventions
	(dragdrop-drop-do-functions) changed to new calling conventions
	(dragdrop-function-widget) this one needs more work...

1998-05-10  Oliver Graf <ograf@fga.de>

	* about.el: another small change in my entry
	* dragdrop.el (dragdrop-drop-log-function): logging added
	plus customizations
	changed interface to handler functions. now called with event
 	and object

1998-05-12  Kirill M. Katsnelson  <kkm@kis.ru>

	* glyphs.el (divider-pointer-glyph): Declared new glyph,
	E-W arrow pointer displayed over draggable dividers.

	* mouse.el (default-mouse-motion-handler): Show it when
	appropriate.
	(drag-window-divider): Added.
	([top-level]): Initialized window-divider-map with a keymap
	binding the above function to left button down event.

	* x-mouse.el (x-init-pointer-shape): Initialize
	divider-pointer-glyph from Cursor.dividerPointer, or use default
	E-W double arrow.

1998-04-30  Gunnar Evermann  <Gunnar.Evermann@nats.informatik.uni-hamburg.de>

	* toolbar-items.el (toolbar-compile): respect should-use-dialog-box-p

1998-05-11  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (count-words-buffer): Don't query for buffer.
	(count-lines-buffer): Ditto.

1998-05-11  Jan Vroonhof <vroonhof@math.ethz.ch>

	* help.el (where-is): add optional insert argument.

1998-05-11  Hrvoje Niksic  <hniksic@srce.hr>

	* help.el (describe-key-briefly): New argument INSERT.

	* simple.el (eval-expression): New optional argument; synch with
	FSF 20.3.

	* keydefs.el (global-map): Add new register bindings.

	* register.el: Synched with FSF 20.3.

1998-05-11  Jan Vroonhof <vroonhof@math.ethz.ch>

	* window-xemacs.el (recenter): all arguments are optional.

1998-05-10  Kirill M. Katsnelson  <kkm@kis.ru>

	* device.el: (device-pixel-width): Reflected name/parameters
	change to device-system-metric. 
	(device-pixel-height): Ditto. 
	(device-mm-width): Ditto.
	(device-mm-height): Ditto.
	(device-bitplanes): Ditto.
	(device-color-cells): Ditto.

1998-05-10  Hrvoje Niksic  <hniksic@srce.hr>

	* cl-extra.el (cl-float-limits): Removed; move code to top-level.

	* cl.el (most-positive-fixnum): Document.
	(most-negative-fixnum): Ditto.

	* cus-dep.el: Updated comment.

	* cus-load.el: Use most-positive-fixnum as the gc-inhibiting
	constant.

	* cus-load.el (custom-put): Removed.

	* files.el (after-find-file): Just resignal quit instead of
	signaling "canceled".

1998-05-10  Hrvoje Niksic  <hniksic@srce.hr>

	* frame.el (other-frame): Use `focus-frame' instead of
	select-frame kludges.

	* lisp-mode.el: Update lisp-indent-function for
	save-selected-frame and with-selected-frame.

	* frame.el (save-selected-frame): New macro.
	(with-selected-frame): Ditto.
	(other-frame): Use `set-frame-focus'.

1998-05-06  Oliver Graf <ograf@fga.de>

	* dragdrop.el (dragdrop-drop-dispatch): changed to new list concept
	(dragdrop-drop-url-default) default handler for URL drops created
	(dragdrop-drop-mime-default) default handler for MIME drops created
	(dragdrop-drop-functions) default custom for handling drops created
	(dragdrop-drop-do-functions) helper for drgadrop-drop-dispatch

1998-05-05  Jonathan Harris <jhar@tardis.ed.ac.uk>

	* mouse.el: Removed redundant mouse-mswindows-drop function.

1998-05-05  Oliver Graf <ograf@fga.de>

	* about.el: changed some text in my entry
	* dragdrop.el: added customs

1998-05-04  Oliver Graf <ograf@fga.de>

	* mouse.el: killed global drop key bindings
	(mouse-offix-drop) removed
	* dragdrop.el: created
	* dumped-lisp.el: inclusion of dragdrop.el for window-systems

1998-05-09  Kirill M. Katsnelson  <kkm@kis.ru>

	* x-scrollbar.el (x-init-scrollbar-from-resources): Initialize
	scrollbar-on-{left,top}-p from *scrollBarPlacement resources.

	* x-misc.el (x-get-resource-and-maybe-bogosity-check): Removed
	obsolete comment.

	* scrollbar.el (scrollbars-visible-p): Use new
	{vertical,horizontal}-scrollbar-visible-p specifiers.

1998-04-18  Kirill M. Katsnelson  <kkm@kis.ru>

	* device.el (device-pixel-height): 
	(device-pixel-width): 
	(device-mm-width): 
	(device-mm-height): 
	(device-bitplanes): 
	(device-color-cells): Moved these 6 functions from device.c; they
	all use single (device-system-metrics) call.

1998-05-09  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): x-menubar.el and x-toolbar.el
	were renamed.

	* menubar-items.el: 
	* toolbar-items.el: Renamed from x-menubar/x-toolbar.
	Suggested by Hrvoje Niksic <hniksic@srce.hr>

	* help.el (help-map): Remove Hyperbole keybinding logic.
	Suggested by: Michael Ernst <mernst@cs.washington.edu>

1998-05-08  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el (default-menubar): Enable 'mail-user-agent' feature.
	From SAKIYAMA Nobuo <nobuo@db3.so-net.or.jp>

1998-05-07  Andy Piper  <andyp@parallax.co.uk>

	* msw-glyphs.el: use nicer icon3 from the frame icon.

1998-05-07  SL Baur  <steve@altair.xemacs.org>

	* version.el (emacs-version): Remove InfoDock conditionals.

	* startup.el (startup-splash-frame): Change ID logo name.

1998-05-06  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (after-find-file): If the user presses C-g on
	directory-creation prompt, kill the buffer.

1998-05-06  SL Baur  <steve@altair.xemacs.org>

	* simple.el (count-words-region): Reverse previous change.

1998-05-05  Hrvoje Niksic  <hniksic@srce.hr>

	* replace.el (query-replace): Just call perform-replace.
	(query-replace-regexp): Ditto.
	(perform-replace): Move region handling here.
	(perform-replace): Use the new arg to match-data.

1998-03-08  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-init.el: Install X specific display table that
	  displays char 0240 as a space to avoid whatever it is
	  that screws up display of that character code.

1998-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* help.el (function-arglist): If no arguments are documented for a 
	subr, print nothing rather than incorrect output.

1998-05-05  SL Baur  <steve@altair.xemacs.org>

	* cmdloop.el (command-error): Update bail-out error message to use 
	`emacs-program-name'.

	* lib-complete.el: Remove reader macro cruft.

	* dumped-lisp.el (preloaded-file-list): Phase I:  remove InfoDock
	cruft.

	* simple.el (count-words-region): Drop interactive-p check on the
	message.

1998-05-04  Jonathan Harris <jhar@tardis.ed.ac.uk>

	* font.el
	* msw-faces.el
	Correct spelling of mswindows-font-canonicalize-name.

1998-05-03 Oscar Figueiredo <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-host-parameters-alist): Replaced with
	`ldap-host-parameters-plist'
	(ldap-search): Adapt to previous change

1998-05-02  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Update Bob Weiner bio.
	(about-maintainer-info): Ditto.

1998-05-02  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (display-warning-minimum-level): Docfix.

1998-04-04  Per Abrahamsen  <abraham@dina.kvl.dk>

	* widget.el (:default-get): New keyword.
	* wid-edit.el (default, widget-default-default-get): Define it.
	(group, widget-group-default-get): Define it.
	(menu-choice, widget-choice-default-get): Define it.
	(widget-default-get): New function.
	(widget-choice-action): Call it.
	(widget-editable-list-entry-create): Call it.

1998-05-01  Hrvoje Niksic  <hniksic@srce.hr>

	* byte-optimize.el (byte-boolean-vars): Removed.
	(byte-optimize-lapcode): Use `built-in-variable-type' instead of
	lookup through `byte-boolean-vars'.

1998-05-01  Kirill M. Katsnelson  <kkm@kis.ru>

	* x-scrollbar.el (x-init-scrollbar-from-resources): Stuff
	resource-provided values into ghost specs for scrollbar-height and
	scrollbar-width.

1998-05-01  Hrvoje Niksic  <hniksic@srce.hr>

	* byte-optimize.el: Don't attempt to optimize /=.

	* bytecomp.el (byte-compile-one-ore-more-args): New function.
	(byte-compile-/=): Ditto.

1998-05-02  SL Baur  <steve@altair.xemacs.org>

	* apropos.el: Use `with-displaying-help-buffer'.
	(apropos-print): Remove explicit mentions of "*Apropos*" buffer.
	Use `with-displaying-help-buffer'.
	(apropos-follow): Do not give special treatment to buffer cursor
	was in prior to a mouse click.
	(apropos-describe-plist): Use `with-displaying-help-buffer'.
	(apropos-print-doc): Set correct buffer for setting text
	properties.

1998-05-01  SL Baur  <steve@altair.xemacs.org>

	* help.el (help-buffer-prefix-string): New variable.
	(help-buffer-name): Use it.

	* modeline.el (modeline-minor-mode-menu): Alphabetize the minor
	mode menu.

1998-04-30  Greg Klanderman  <greg@alphatech.com>

	* frame.el (other-frame): Work even when focus-follows-mouse is true.

1998-05-01  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (find-file-noselect): Update docstring.
	(find-file-noselect): Signal an error if found an unreadable file.
	(file-chase-links): Save the match data.
	(normal-mode): Use `lwarn' and `error-message-string'.
	(interpreter-mode-alist): Change defconst to defvar.
	(inhibit-first-line-modes-regexps): Ditto.
	(inhibit-first-line-modes-regexps): Added .tgz.
	(inhibit-first-line-modes-suffixes): Change defconst to defvar.
	(change-major-mode-with-file-name): New user-option.
	(set-visited-file-name): Synched with FSF.
	(file-name-extension): New function, from FSF 20.3.
	(file-relative-name): Synched with FSF.
	(save-some-buffers): Support the C-r feature.
	(recover-session): Synched with FSF.
	(kill-some-buffers): Ditto.
	(set-auto-mode): New argument JUST-FROM-FILE-NAME.

1998-04-30  SL Baur  <steve@altair.xemacs.org>

	* files.el (insert-file): Undo previous change and reenable use of
	format.el.

1998-04-30  Hrvoje Niksic  <hniksic@srce.hr>

	* window-xemacs.el (recenter): Define.

1998-04-29  Andy Piper  <andyp@parallax.co.uk>

	* font.el (mswindows-font-create-name)
	(mswindows-font-create-object): new functions for mswindows type
	fonts.

	* msw-faces.el (mswindows-font-canicolize-name): fix so that
	strings are parsed as well as font objects.

1998-04-30  Hrvoje Niksic  <hniksic@srce.hr>

	* modeline.el (defining-kbd-macro): Restore modeline indication of 
	kbd-macro being recorded.
	(add-minor-mode): Simplify docstring.
	(modeline-minor-mode-menu): Remove stuff.

1998-04-29  Andy Piper  <andyp@parallax.co.uk>

	* code-process.el (call-process): dynamically decide process
	coding type. 

1998-04-29  Jim Radford  <radford@robby.caltech.edu>

	* modeline.el: Add line-number-mode, column-number-mode to
	the modeline minor-mode menu.  Button2 on the line number does
	goto-line.

1998-04-29  Andy Piper  <andyp@parallax.co.uk>

	* mouse.el: move x-selection-owner-p type things to
	selection-owner-p.

	* msw-init.el: copy zmacs stuff from x-init.el

	* msw-select.el (mswindows-own-selection)
	(mswindows-disown-selection) (mswindows-selection-owner-p): new
	functions. Very simple minded implementation of selectio
	ownership.

	* select.el (own-selection) (disown-selection)
	(activate-region-as-selection) (select-make-extent-for-selection)
	(valid-simple-selection-p): functions moved from x-select.el for
	generalized selection.

	* x-select.el: see select.el changes.

	* x-toolbar.el: use new selection functions.

1998-04-28  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (packages-find-package-directories): Fixed bug that
	would pick up multiple site-package directories.
	(package-locations): Added "xemacs-packages" as a late package
	location.

	* find-paths.el: Now uses `emacs-program-name' and
	`emacs-program-version'.
	Additions to enforce version-specific directories in
	`paths-find-version-directory'.

1998-04-29  SL Baur  <steve@altair.xemacs.org>

	* default.el: Removed.
	* site-start.el: Removed.

1998-04-29  Didier Verna  <verna@inf.enst.fr>

	* minibuf.el (minibuffer-history-minimum-string-length): Default
	to nil.

1998-04-28  SL Baur  <steve@altair.xemacs.org>

	* find-paths.el (paths-program-name): Rename.
	(paths-emacs-root-p): Ditto.
	(paths-find-site-directory): Ditto.

1998-04-26  Karl M. Hegbloom  <karlheg@inetarena.com>

	* lisp-mode.el (emacs-lisp-mode-popup-menu-1): Add menu entry for
	`emacs-lisp-byte-compile-and-load'.

1998-04-26  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-search): Fixed additional parameter passing to
	`ldap-open'

1998-04-27  Andy Piper  <andyp@parallax.co.uk>

	* select.el (kill-primary-selection) (selection-owner-p)
	(copy-primary-selection) (yank-clipboard-selection)
	(selection-exists-p) (delete-primary-selection): new file and
	functions that do the right thing for the selected device.

	* x-menubar.el: use generalised selection functions.

	* dumped-lisp.el: dump select.el.

1998-04-27  SL Baur  <steve@altair.xemacs.org>

	* find-paths.el (paths-progname): New variable.
	(paths-emacs-root-p): Use it.
	(paths-find-site-directory): Ditto.

1998-04-26  SL Baur  <steve@altair.xemacs.org>

	* loadup.el ((member "dump" command-line-args)): Dump as
	`infodock' if InfoDock.

1998-04-25  SL Baur  <steve@altair.xemacs.org>

	* find-paths.el (construct-emacs-version): Simplify, include
	program	name in the return value.
	* (paths-find-version-directory): Use it.

1998-04-25  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info.el (Info-parse-dir-entries): Fixed regexp
	(Info-build-dir-anew): Remove full suffix and capitalize info file 
	name for files with no @direntry
	(Info-batch-rebuild-dir): New function
	(Info-suffixed-file): Check for regular files instead of simple
	file existence (could catch directories before)

1998-04-25  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el, find-paths.el: Removed uses of `not' which
	temacs doesn't have.

	* find-paths.el (paths-find-emacs-roots): Included exec-prefix
	into root searching.

1998-04-24  Martin Buchholz  <martin@xemacs.org>

	* subr.el: Remove definition of `not'.

Sat Apr 24 1998  Andy Piper  <andyp@parallax.co.uk>

	* msw-glyphs.el: enable graphics support.

1998-04-23  Didier Verna  <verna@inf.enst.fr>

	* x-menubar.el (default-menubar): restored the line-number-mode
	option.

	* misc doc string updates related to the options menu.

1998-04-24  SL Baur  <steve@altair.xemacs.org>

	* setup-paths.el (paths-construct-load-path): Fix typo.

1998-04-23  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* x-menubar.el (default-menubar): font-menu-this-frame-only-p and
	font-menu-ignore-scaled-fonts don't have to be bound now; this
	gets us one step further towards making --no-autoloads work.

	* startup.el (normal-top-level): Load auto-autoloads only if
	lisp-directory is non-nil.

	* setup-paths.el (paths-construct-load-path): Made it robust
	against nil lisp-directory.

	* startup.el (startup-setup-paths-warning): Added `lisp-directory'
	to the list of variables that cause a warning when nil.

	* toolbar.el (init-toolbar-location): Now works even when there's
	no toolbar icon directory.

1998-04-23  Hrvoje Niksic  <hniksic@srce.hr>

	* help.el (view-lossage): Recognize it.

	* simple.el (log-message): Mark multiline messages.

1998-04-22  SL Baur  <steve@altair.xemacs.org>

	* info.el (Info-exit): `toolbar-info-frame' doesn't necessarily exist.

1998-4-20  Stephen J. Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* package-get.el (package-get-all):  add `\n' separator to
	interactive specification so that both variables are read

1998-04-22  Didier Verna  <verna@inf.enst.fr>

	* x-menubar.el: ported the options menu to Custom.
	Moved the "read only" toggle button to the buffers menu.
	Corrected some missing ;;;###autoload or defcustom.

	* scrollbar.el (scrollbars-visible-p): defcustom wrapper around
	the scrollbar-visible specifier for options menu handling.

	* toolbar.el (toolbar-visible-p)
		     (toolbar-captioned-p)
		     (default-toolbar-position): defcustom wrappers around
	the toolbar specifiers for options menu handling.

	* frame.el (get-frame-for-buffer-default-instance-limit):
	defcustom it for options menu handling.

	* font-lock.el (font-lock-mode): defcustom and autolaod the variable
	font-lock-mode for options menu handling.

	* cus-start.el: added Custom properties to overwrite-mode for
	options menu handling.

Wed Apr 22 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* about.el: shameless self-promotion.

1998-04-21  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (raw-append-message): Slightly optimize.
	(remove-message): Use `push' for clarity.
	(append-message): Ditto.
	(display-warning): Dito.
	(raw-append-message): Send the message to the appropriate device.

1998-04-22  SL Baur  <steve@altair.xemacs.org>

	* auto-save.el (auto-save-cyclic-hash-14): De-ebolification.
	From Sean MacLennan <Sean.MacLennan@pika.ca>

1998-04-18  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el: Changed `directory-sep-char' to
	`path-separator', following a change in GNU Emacs.

1998-04-19  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info.el (Info-maybe-update-dir): Bug fix in `conservative' behavior
	(Info-build-dir-anew): Add a final newline.  
	(Info-build-dir-anew): Do not issue warning when rebuilding policy 
	is `always'
	(Info-rebuild-dir): Ditto
	
	* dumped-lisp.el (preloaded-file-list): Added ldap.el

1998-04-21  SL Baur  <steve@altair.xemacs.org>

	* simple.el (count-words-buffer): Retain zmacs region.
	(count-words-region): Ditto.
	* simple.el: (what-line): Expanded line counts.
	(count-lines): New parameter to conditionalize whether collapsed
	lines get counted.
	From Bob Weiner <weiner@altrasoft.com>

1998-04-19  SL Baur  <steve@altair.xemacs.org>

	* packages.el (package-locations): infodock-packages must override 
	mule-packages and packages.

1998-04-19  Jonathan Harris <jhar@tardis.ed.a.uk>

	* wid-edit.el:
	remove rude messages from widget-activation-widget-mapper
	and widget-activation-glyph-mapper

1998-04-17  Jonathan Harris <jhar@tardis.ed.ac.uk>

	* toolbar.el: Remove (featurep 'x) test from
	toolbar-make-button-list

1998-04-17  Hrvoje Niksic  <hniksic@srce.hr>

	* gnuserv.el (gnuserv-edit): Switch to the next gnuserv buffer
	only if in the same frame.

1998-04-17  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (package-locations): Added site-packages hierarchy.

	* setup-paths.el (paths-default-info-directories): Introduced and
	used.

	* packages.el, setup-paths.el: Set various path searching depths
	to 1.

	* packages.el (packages-hierarchy-depth): 
	(packages-load-path-depth): Introduced and used.

	* setup-paths.el (paths-load-path-depth): Introduced and used.

	* find-paths.el (paths-find-recursive-path): Added max-depth
	parameter.

1998-04-15  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-construct-info-path): Removed 
	dependency on behavior of (file-name-as-directory "").

1998-04-09  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-search): Adapt to the new low-level API using ldap 
	lisp objects

1998-04-14  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dump-paths.el, startup.el: Added handling for --debug-paths.

1998-04-15  William M. Perry  <wmperry@aventail.com>

	* wid-edit.el: We cannot just set the help-echo or balloon-help
	  properties for an extent based on the :help-echo widget
	  property, since help-echo and balloon-help cause an EXTENT to
	  get passed in, where :help-echo functions are expecting a WIDGET 

1998-04-15  Kirill M. Katsnelson  <kkm@kis.ru>

	* scrollbar.el (init-scrollbar-from-resources): Call
	mswindows-init-scrollbar-metrics when appropriate.

Thu Apr 16 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* dumped-lisp.el: dump x-toolbar for window system

	* msw-init.el (init-post-mswindows-win): enable toolbars if we
	have support and xpm.

1998-04-16  SL Baur  <steve@altair.xemacs.org>

	* files.el (toggle-read-only): Fix docstring.
	From Didier Verna <verna@inf.enst.fr>

1998-04-14  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* startup.el (normal-top-level): Load autoload-file-name without
	specifying an extension---some people only auto-autoload.el.gz.

1998-04-06  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (backup-enable-predicate): Don't bomb on NAME being
	nil.

1998-04-13  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* find-paths.el, packages.el: Now prefers configure'd paths.
	This shouldn't cause any of the originally anticipated problems as
	the current paths architecture will not define the various
	configure-xxx variables if they're not specified on the configure
	command line.

	* find-paths.el, setup-paths.el, packages.el: Removed all
	mentionings of "/" as a path separator.
	Used paths-construct-path throughout.

	* find-paths.el (paths-construct-path): Created to assemble paths
	from directory components.

	* setup-paths.el, packages.el: Used paths-decode-directory-path
	instead of decode-path-internal.

	* find-paths.el: Removed unused (and bogus) paths-find-emacs-path
	and associates.
	(paths-decode-directory-path) Created.

	* setup-paths.el: Changed configure-exec-path to
	configure-exec-directory.

1998-04-11  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (packages-find-packages): Fixed decoding of
	EMACSPACKAGEPATH.

	* startup.el: -no-packages -> -no-early-packages.

	(packages-load-package-lisps): Fixed loading of auto-autoload
	files.

	* startup.el (normal-top-level): Fixed loading of core
	auto-autoload.

	* obsolete.el: Un-obsoleted site-directory.  Sigh.

	* startup.el, packages.el, dump-paths.el: Added proper settings
	for site-directory and lisp-directory variables.

	* startup.el, loadup.el: Renamed inhibit-update-autoloads to
	inhibit-package-autoloads and fixed handling of it.

	* startup.el, packages.el, dump-paths.el, loadup.el: Fixed
	handling of former inhibit-package-init, now
	inhibit-early-packages, to make -vanilla etc. work.

1998-04-10  Kirill M. Katsnelson  <kkm@kis.ru>

	* code-process.el (start-process): Fallback to 'undecided instead
	of 'binary for process input coding stream.

	* process.el (start-process): Docstring fix.

1998-04-09  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info.el (Info-insert-dir): Do not insert temporary dir files
	in Info-dir-file-attributes
	(Info-build-dir-anew): Ensure temporary buffer is not read-only
	(Info-rebuild-dir): Ditto.

1998-04-09  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* obsolete.el: Added obsoleteness declarations for
	`site-directory' and `Info-default-directory-list'.

1998-04-08  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* find-paths.el (paths-find-emacs-root): Only look at the
	executable at the end of the symlink chain for determining the
	Emacs root.

1998-04-07  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-construct-info-path): Changed construction
	to cater to gone default in configure.

	* find-paths.el (paths-uniq-append): Added.

	* packages.el: Rewritten package path construction once again.

	* dump-paths.el, startup.el: Removed package-path as a global
	variable.

	* package-admin.el (package-admin-add-single-file-package): 
	(package-admin-add-binary-package): Changed package-path to
	late-packages.

	* packages.el (packages-split-path): Split path at "/" rather than
	nil according to change in emacs.c.

1998-04-06  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-construct-info-path): Changed info path
	order so that directories come out right.
	(paths-find-lock-directory): Fixed bug: It used to think
	configure-lock-directory is a path.

1998-04-06  Jeff Miller <jmiller@smart.net>

	* x-toolbar.el:  Added toolbar-vector-xxxxxx defvars.  Modified
	initial-toolbar-spec to use new toolbar-vector-xxxxxx defvars.  This
	eases the use of toolbar-add/kill-item functions. 

1998-04-07  Kirill M. Katsnelson  <kkm@kis.ru>

	* code-files.el (file-coding-system-alist): Commented out
	loaddefs.el magical treatment.

1998-04-06  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info.el (Info-rebuild-outdated-dir): Added new option
	`conservative' and made it the default
	(Info-rebuild-dir): Appropriately parse multi-line description
	strings, and multi-section dir files. Issue warning when dir
	is rebuilt as temporary
	(Info-build-dir-anew): Issue warning when dir is built as 
	temporary

1998-04-04  Kirill M. Katsnelson  <kkm@kis.ru>
 
	* list-mode.el (list-mode-map): Bind highlight motion commands to
	standard keys left, right, C-b and C-f.

1998-03-29  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* files.el (auto-mode-alist): allow .sc for Scheme->C

1998-04-06  SL Baur  <steve@altair.xemacs.org>

	* loadup.el (pureload): Don't quote (garbage-collect).

1998-04-04  SL Baur  <steve@altair.xemacs.org>

	* package-get-base.el: Updated.

1998-04-04  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-just-started): New variable.
	(isearch-mode): Set it.
	(isearch-repeat): Advance one character forward only if the search 
	was successful, and was not just started.
	(isearch-repeat): Clear isearch-just-started.

1998-04-02  SL Baur  <steve@altair.xemacs.org>

	* finder.el (finder-compile-keywords): Don't eval new finder-inf
	if running -batch.

1998-03-26  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (listify-key-sequence): Removed.

1998-03-31  Hrvoje Niksic  <hniksic@srce.hr>

	* bytecomp.el (byte-compile-print-gensym): New option.
	(byte-compile-output-file-form): Use it.
	(byte-compile-output-docform): Ditto.
	(byte-compile-compiled-obj-to-list): Ditto.

Sun Mar 29 1998  Andy Piper  <andyp@parallax.co.uk>

	* msw-glyphs.el: set frame icon if xpm support.

1998-03-30  Kyle Jones  <kyle_jones@wonderworks.com>

	* help.el: Code that pretty prints variable values
	  removed.

1998-04-02  SL Baur  <steve@altair.xemacs.org>

	* find-paths.el (paths-emacs-root-p): Correct test for installation
	directory.
	From Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

1998-03-30  Kyle Jones  <kyle_jones@wonderworks.com>

	* loaddefs.el: Don't set debug-ignored-errors; leave 
	  its default value set to nil.

1998-03-29  Damon Lipparelli  <lipp@primus.com>

	* info.el (Info-rebuild-dir): fixed mis-spelling.

1998-03-29  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info.el (Info-rebuild-outdated-dir): New custom var
	(Info-insert-node): Create/update dir file when needed, ie when it 
	does not exist or is older than some info files in directory

1998-04-01  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el, dump-paths.el, startup.el, packages.el: Allowed
	for last packages, mainly for using a 20.4 package base.

	* packages.el (late-packages): Typo fix.  It was called
	early-packages.

	* find-paths.el (paths-find-emacs-root): Bug fix: it now chases
	relative symlinks correctly.
	(paths-find-emacs-roots): More rigorous checking for plausible
	configuration-time root.

	* startup.el (normal-top-level): Added a warning if XEmacs cannot
	find its roots.

1998-03-27  Martin Buchholz  <martin@xemacs.org>

	* faces.el: Fix docstrings.
	* glyphs.el: Fix docstrings.
	* mouse.el: Fix docstrings.

	* frame.el: Change phrase `current frame' to `selected frame'.

	* faces.el (face-spec-set-match-display): Make FRAME arg optional.

	* bytecomp.el (displaying-byte-compile-warnings): Rewrite some
	macros using backquote to make them infinitely more readable.

1998-03-30  SL Baur  <steve@altair.xemacs.org>

	* packages.el (packages-find-package-path): Hardcoded specialized
	InfoDock support until we can clean this up.

	* help.el (describe-bindings-1): Return the value of the bindings
	help buffer created.
	(describe-bindings): Ditto.

	* simple.el (set-variable): Restore previous behavior of not
	bombing if the variable to set is not boundp.

1998-03-30  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (packages-handle-package-dumped-lisps): Allow for
	non-local files to be loaded off the package-lisp variable.

1998-03-27  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-faces.el: Global X resources should override
	  specs for all device classes (color, grayscale, mono);
	  code currently doesn't override any of them.  Fixed by
	  calling remove-specifier with '(x default) as the tag
	  set and allowing inexact matches.

1998-03-27  Kyle Jones  <kyle_jones@wonderworks.com>

	* faces.el: Separated face intializations based on
	  device classes into device type specific (tag set,
	  instantiator) pairs.

1998-03-09  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-choice-action): Remember user's explicit
	choice.
	(widget-choice-value-create): Respect it.
	From Richard Stallman <rms@gnu.org>

1998-03-26  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-construct-info-path): Always append
	existing directories from configure-time info path.

	* startup.el (startup-setup-paths): Renamed misnamed info-path to
	Info-directory-list.

	* info.el: Removed Info-default-directory-list which was broken by
	design.
	Removed bogus initialization of Info-directory-list---startup.el
	can do a much better job.
	Added autoload of Info-directory-list.

	* setup-paths.el (paths-construct-load-path): Fixed a bug pointed
	out by Martin Buchholz <martin@xemacs.org>: EMACSLOADPATH used to
	be exclusive; now it's merely given precedence, just like in the
	old days.

1998-03-25  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* find-paths.el (paths-find-architecture-directory): Fix bug with
	finding; it used to default too early.

1998-03-25  Martin Buchholz <martin@xemacs.org>

	* packages.el (packages-split-path): Fix a bug; it used to fail
	for paths that weren't split.

1998-03-26  SL Baur  <steve@altair.xemacs.org>

	* finder.el (finder-compile-keywords): trap on errors.

1998-03-24  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-faces.el (remove-specifier-specs-matching-tag-set-cdrs): Pass
	  fourth argument of t so that only the specs exactly
	  matching the tag lists are removed.

1998-03-25  SL Baur  <steve@altair.xemacs.org>

	* make-docfile.el: Don't discard the BOOTSTRAPLOADPATH.

1998-03-23  SL Baur  <steve@altair.xemacs.org>

	* minibuf.el (mouse-read-file-name-1): If a default directory was
	specified, use it for generating the completions.

1998-03-23  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* update-elc.el: Now respects inhibit-package-init and
	inhibit-site-lisp.
	Now does path construction with loadup-paths.

	* startup.el (normal-top-level, startup-setup-paths): Now respects
	inhibit-package-init and inhibit-site-lisp.

	* packages.el (packages-find-package-path): Extended package path
	by version-specific hierarchies.
	(packages-find-packages): Now respects inhibit flag and
	inhibit-site-lisp.
	Moved path setup to loadup-paths.

	* make-docfile.el: Now respects inhibit-package-init and
	inhibit-site-lisp.
	Now does path construction with loadup-paths.

	* loadup.el: Now respects inhibit-package-init and
	inhibit-site-lisp.

	* dumped-lisp.el (preloaded-file-list): Added loadup-paths.

	* loadup-paths.el: New file: setup load-path to encompass
	packages.

1998-03-22  SL Baur  <steve@altair.xemacs.org>

	* auto-show.el: load-gc renamed to pureload.
	* site-load.el: Ditto.
	* packages.el (toplevel): Ditto.
	* loadup.el (really-early-error-handler): Ditto.
	* dumped-lisp.el (preloaded-file-list): Ditto.
	* cus-face.el (custom-declare-face): Ditto.

1998-03-22  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* <Today>: The Big Path Searching Overhaul.

	* find-paths.el: New file: find and assemble paths in the
	installation hierarchy.

	* setup-paths.el: New file: global layout of paths and directories
	within the XEmacs hierarchy.

	* packages.el: Replaced everything related to path searching and
	startup by code in terms of find-paths.

	* loadup.el, make-docfile.el, update-elc.el, startup.el: Now calls
	the new path searching engine.

	* dumped-lisp.el (preloaded-file-list): Added new files find-paths
	and setup-paths.

1998-03-22  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Load setup-paths.elc not
	setup-paths.el.

1998-03-20  Kirill M. Katsnelson  <kkm@kis.ru>

	* msw-glyphs.el: Added check for 'mswindows feature, so the file
	compiles identically in any configuration.
	Removed irrelevant commentary.

1998-03-20  Kirill M. Katsnelson  <kkm@kis.ru>

	* simple.el (set-variable): Allow setting specifiers.

1998-03-19  SL Baur  <steve@altair.xemacs.org>

	* lisp.el (forward-sexp): Revert previous change.

1998-03-18  SL Baur  <steve@altair.xemacs.org>

	* frame.el (frame-initialize): Use `delete-console' instead of
	`delete-device' to delete the stream console to match the usage in 
	Fkill_emacs.

1998-03-16  SL Baur  <steve@altair.xemacs.org>

	* files.el (cdpath-previous): New variable.
	(cd): Use it.
	From Bob Weiner <weiner@wave.altrasoft.com>

1998-03-15  Kyle Jones  <kyle_jones@wonderworks.com>

	* keydefs.el: Changed keybindings of forward-char,
	  backward, scroll-up and scroll-down to point to their
	  -command counterparts.

	* simple.el: New functions: forwarc-char-command,
	  backwrad-char-command, scroll-up-command,
	  scroll-down-command which work liek their counterparts
	  except that they honor the variable
	  signal-error-on-buffer-boundary.

	  Definition of signal-error-on-buffer-boundary received
	  from src/cmds.c.

	  defvar declaration added for word-across-newline to avoid
	  byte-compiler warning about the free variable reference.

1998-03-14  Kirill M. Katsnelson  <kkm@kis.ru>

	* winnt.el: Removed "%t" from the beginning of
	modeline-format. From now on, there's no nt-specifics in the modeline.

1998-03-14  SL Baur  <steve@altair.xemacs.org>

	* setup-paths.el (paths-setup-paths-warning): Replace occurrences
	of `when' with `if'.

1998-03-03  Kirill M. Katsnelson  <kkm@kis.ru>

	* msw-glyphs.el: New file. Defines TTY-style glyphs for
	mswindows. Must be reworked along with glyphs.el, or 
	merged into it, after there is images support.

	* dumped-lisp.el (preloaded-file-list): Dump msw-glyphs.el when
	'mswindows. 

1998-03-13  SL Baur  <steve@altair.xemacs.org>

	* faces.el: fix for text cursor initialization.
	Suggested by Kyle Jones <kyle_jones@wonderworks.com>
	From Andy Piper <andyp@parallax.co.uk>

1998-03-11  Pete Ware  <ware@cis.ohio-state.edu>

	* files.el (set-auto-mode): If a mode is not fboundp, check to see 
	if there is an existing package that handles it and warn the user
	about that mode.

1998-03-02  Kirill M. Katsnelson  <kkm@kis.ru>

	* x-menubar.el (default-menubar): Greyed out "Help / Basics /
	Installation" menu item when Installation-string is not bound.

1998-03-11  SL Baur  <steve@altair.xemacs.org>

	* lisp.el (forward-sexp): Fix for test for balanced sexp.
	From Jeremiah W. James <jerry@cs.ucsb.edu>

1998-03-10  Kyle Jones  <kyle_jones@wonderworks.com>

	* msw-faces.el:
	* faces.el: Fix face initialization.

1998-03-10  Glynn Clements  <glynn@sensei.co.uk>

	* files.el (backup-enable-predicate): fix breakage introduced 
	by TMPDIR patch.

1998-03-09  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-faces.el (x-init-face-from-resources): The
	  TTY face property retrieval functions don't return
	  specifiers, so use face-property instead.

1998-03-09  SL Baur  <steve@altair.xemacs.org>

	* mwheel.el (mwheel-install): Use portable keysyms and syntax.

1998-03-09  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-menubar.el: Expanded documentation for
	  option-save-faces.  Changed Options -> Browse Faces
	  menu entry to invoke customize-face.

1998-03-09  Kyle Jones  <kyle_jones@wonderworks.com>

	* faces.el: Most face initialization moved out of
	  init-other-random-faces to the top level so that the
	  initialization happens before Xemacs is dumped.  Much
	  of the fascist "face-differs-from-default-p or FROB!"
	  code has been retired in favor of letting the user do
	  what they want to do.  Face initialization code changed
	  to use `default' specifier tag so that the settings can
	  be overridden later if the user wishes it.

1998-03-08  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Update contributors list.

1998-03-07  Kyle Jones  <kyle_jones@wonderworks.com>

	* specifier.el: Define new specifier tag `default'.

	* modeline.el: Initialize faces using `default' tag.

	* x-faces.el (x-init-face-from-resources): Remove
	  specifier specs containing the `default' tag before
	  adding new specs.

1998-03-02  John Jones  <jj@asu.edu>

	* package-get.el (package-get-all): fixed arguments on call to
	package-admin-add-single-file-package.
	* package-get.el (package-get-installedp): fixed to match
	advertised behavior.
	* package-get.el: added function package-get-update-all which
	installs newest versions of all the current packages (if they are
	not already installed).

1998-03-04  Jens-Ulrik Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* files.el (find-file-noselect): Uncommented `truename' binding in
	`let*' and use it later to set `buffer-file-truename' iff it's
	still nil, as happens for example when finding a compressed
	file with "jka-compr".

Wed Mar 04 08:55:12 1998  Andy Piper  <andyp@parallax.co.uk>

	* faces.el: in make-face-* type functions do the operation for all
	window systems, not just the first one found.

	* font.el: call mswindows-list-fonts for mswindows.

1998-03-02  Glynn Clements  <glynn@sensei.co.uk>

	* code-process.el (call-process-region):
	* process.el (call-process-region):
	* package-get.el (package-get-dir):
	* files.el (backup-enable-predicate):
	* gnuserv.el (gnuserv-temp-file-regexp):
	Use temp-directory in place of `/tmp'.

Fri Feb 20 21:22:34 1998  Darryl Okahata  <darrylo@sr.hp.com>

	* "Fast" dired-in-C enhancements for Windows 95/NT:

	* files.el: Added function, `wildcard-to-regexp', from GNU
 	  Emacs.

	* files.el (insert-directory): Modified to use special
	  dired-in-C enhancements if present.

Mon Mar 02 11:37:36 1998  Andy Piper  <andyp@parallax.co.uk>

	* code-files.el: make default coding no-conversion.

1998-03-02  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Find Installation.el from
	the load-path.

	* update-elc.el: Strip directory when testing for files not to
	bytecompile.

1998-03-02  Aki Vehtari  <Aki.Vehtari@hut.fi>

	* lisp-mode.el: Use recommended form for menus.

	* info.el (Info-construct-menu): Use recommended form for menus.

	* gnuserv.el (gnuserv-edit-files): Use recommended form for menu
	entry.

1998-02-28  Kyle Jones  <kyle_jones@wonderworks.com>

	* frame.el: Resurrect get-frame-for-buffer-default-to-current.
	  (get-frame-for-buffer-noselect): Always return frames
	  in the not-this-window-p cond clause.

1998-02-27  SL Baur  <steve@altair.xemacs.org>

	* help.el (describe-installation): New function.

	* x-menubar.el (default-menubar): Add describe-installation to
	Help menu.

	* packages.el (packages-unbytecompiled-lisp): Installation.el
	should not be bytecompiled.

	* dumped-lisp.el (preloaded-file-list): Dump Installation with
	XEmacs.

	* x-menubar.el (default-menubar): Use correct guard for VM menu
	entry.

	* coding.el: Add coding systems for iso-8859-[12] for No-Mule + file
	coding.
	From Andy Piper <andyp@parallax.co.uk>

1998-02-26  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el: Do not require ldap-internal at compile time.

Tue Feb 17 12:50:37 1998  Andy Piper  <andyp@parallax.co.uk>

	* code-files.el: new file. a virtual copy of mule-files.el
 	but without charset
 	dependencies. (toggle-buffer-file-ocding-system) new function for
 	changing the eol type for the current buffer.

	* code-process.el: new file. a copy of
 	mule-process.el. mule-process.el will disappear when things have
 	settled.

	* coding.el: new file. a virtual copy of mule-files.el but
 	without charset dependencies. (coding-system-base) new function
 	for getting the parent coding system of a coding system with eol
	type set.

	* dumped-lisp.el: add above files for the non-mule case.

1998-02-25  Kyle Jones  <kyle_jones@wonderworks.com>

	* window-xemacs.el (display-buffer): If no explicit
	  frame is specified, search for a window that displays
	  the buffer on the currently selected frame, before
	  searching other frames.

1998-02-25  Kyle Jones  <kyle_jones@wonderworks.com>

	* frame.el (get-frame-for-buffer): If not-this-window-p
	  is non-nil, use window on the selected frame if it is not
	  also the selected window.  When defaulting, search for
	  windows on the currently selected fgrame before searching
	  other frames.

1998-02-25  Didier Verna  <verna@inf.enst.fr>

	* modeline.el (modeline-swap-buffers): originally named
	`mouse-release-modeline'. Whether to actually swap the buffers is
	decided in `mouse-drag-modeline'.
	(mouse-drag-modeline): A button release event is considered a
	mouse click is both X (modeline scroll) and Y (modeline drag) pos
	stay unchanged. 

1998-02-25  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el: Put redo on the menubar.
	From Aki Vehtari <Aki.Vehtari@hut.fi>

1998-02-22  Greg Klanderman  <greg@alphatech.com>

	* bytecomp.el (displaying-byte-compile-warnings): if
	temp-buffer-show-function is set, use it to display current set of
	warnings in the "*Compile-Log-Show*" buffer.

	* simple.el (display-warning-buffer): if temp-buffer-show-function
	is set, use it to display current set of warnings in the
	"*Warnings-Show*" buffer.

1998-02-20  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* cl-extra.el (equalp): Make (equalp ?A ?a) return t as in
	Common Lisp.

1998-02-23  Aki Vehtari  <Aki.Vehtari@hut.fi>

	* menubar.el: Allow button descriptors at least 2 long.

	* x-menubar.el (default-menubar): Use recommended forms.
	(file-menu-filter): Remove.
	(edit-menu-filter): Remove.

1998-02-24  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Updated.

1998-02-22  Greg Klanderman  <greg@alphatech.com>

	* help.el (help-max-help-buffers): new variable
	(help-register-and-maybe-prune-excess): new function
	(help-buffer-name): use help-max-help-buffers.
	(with-displaying-help-buffer): use
	help-register-and-maybe-prune-excess.

	* help.el (help-maybe-pretty-print-value): if the value fits on
	one line, let it.

1998-02-21  Greg Klanderman  <greg@alphatech.com>

	* (with-displaying-help-buffer): there is no need to kill the buffer
	if it exists, becasuse with-output-to-temp-buffer will clear it.
	further, killing the buffer violates the rule that
	temp-buffer-show-function, if set, has the full responsibility of
	showing the temp buffer.  killing the buffer fucks with the window 
	configuration, hosing temp-buffer-show-function.


1998-02-23  Didier Verna  <verna@inf.enst.fr>

	* modeline.el (mouse-drag-modeline): 
	- Always scroll the modeline that was originally clicked on.
	- Use x pixels instead of x characters (which doesn't work anyway) 
	as horizontal reference for modeline dragging. This allows us to
	keep on dragging the modeline even if the motion event occurs in
	another window. 

1998-02-23  Didier Verna  <verna@inf.enst.fr>

	* x-mouse.el (x-init-pointer-shape): use a crossed-arrows cursor
	glyph on the modeline to indicate that dragging the mouse has an
	effect both horizontally and vertically.

1998-02-24  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-xemacs): Get rid of redundant visible version
	number.

1998-02-19  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Update credits.

1997-12-22  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* prim/register.el (view-register): Show register type file-query.

1998-02-17  Kyle Jones  <kyle_jones@wonderworks.com>

	* mode-motion.el (mode-motion-highlight-internal):
	  save-excursion inside save-window-exucrsion form to
	  hide buffer point changes from save-window-excursion.
	  Prevents display flickering when the mouse pointer
	  moves.

1998-02-17  Didier Verna  <verna@inf.enst.fr>

	* mouse.el (default-mouse-track-set-point-in-window): rewrote this
	function to handle correctly the case of a toolbar one side of the 
	window: scrolling will not necessarily happen.

1998-02-17  Kyle Jones  <kyle_jones@wonderworks.com>

	* files.el (after-find-file): Restore missing argument
	  to format that provides filename for "... consider M-x
	  recover-file" message.  Also call `message' with "%s"
	  as the first arg instead of an arbitrary string.

1998-02-18  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Various additions.

1998-02-15  SL Baur  <steve@altair.xemacs.org>

	* autoload.el (generate-file-autoloads-1): Don't force an extra
	line out when copying on-the-same line autoloads.

	* x-menubar.el (default-menubar): Add Sokoban to the menubar if it 
	is installed.

1998-02-14  Martin Buchholz  <martin@xemacs.org>

	* x11/x-win-xfree86.el (x-win-init-xfree86): 
	* x11/x-win-sun.el (x-win-init-sun): 
	* x11/x-init.el (x-initialize-compose): 
	* prim/simple.el:
	(backward-or-forward-kill-sexp): 
	(backward-or-forward-kill-sentence): 
	(backward-or-forward-kill-word): 
	(backward-or-forward-delete-char): 
	* prim/isearch-mode.el (isearch-help-or-delete-char): 
	Use x-keysym-on-keyboard-sans-modifiers-p instead of
	x-keysym-on-keyboard-p to detect backspace.
	Use symbols instead of strings (now deprecated) with x-keysym-*-p.
	Clean up symbols used with dead keys, checking Linux and solaris
	keysyms.
	Simplify x-win-*.el using above methods.
	Change documentation for x-keysym-*-p functions.

1998-02-14  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): Restore entries for Michael Sperber and
	Vinnie Shelton.
	From Vinnie Shelton <acs@acm.org>

1998-02-14  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (count-words-region): Ditto.

1998-02-12  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (count-words-buffer): Document.  Don't print anything
	if non-interactive.

1998-02-12  SL Baur  <steve@altair.xemacs.org>

	* packages.el (packages-hardcoded-lisp): easymenu.el is in
	multiple files in InfoDock.

1998-02-11  SL Baur  <steve@altair.xemacs.org>

	* packages.el (packages-hardcoded-lisp): id-vers.elc is loaded
	from version.el in InfoDock.

	* dumped-lisp.el (preloaded-file-list): Don't treat InfoDock
	specially.

1998-02-09  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* bytecomp-runtime.el (proclaim-inline): Single quotes around
	variable name in docstring.

1998-02-10  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* menubar.h: Include "gui.h".

1998-02-10  SL Baur  <steve@altair.xemacs.org>

	* site-load.el: Fix documentation.

1998-02-09  SL Baur  <steve@altair.xemacs.org>

	* package-get-base.el (package-get-base): Updated.

	* keymap.el: PC-ize.

1998-02-08  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* hyper-apropos.el (hyper-apropos-get-doc): Print the `loaded
	from' on a fresh line.

1998-02-08  Hrvoje Niksic  <hniksic@srce.hr>

	* help.el (help-maybe-pretty-print-value): prin1, not princ the
	object.

1998-02-09  SL Baur  <steve@altair.xemacs.org>

	* undo-stack.el: PC-ize.

	* cmdloop.el: PC-ize.

1998-02-08  SL Baur  <steve@altair.xemacs.org>

	* bytecomp-runtime.el: PC-ize.

	* byte-optimize.el: Prolog fixup.  PC-ize.

	* cus-dep.el: Spelling fix.

	* text-mode.el: Synch with Emacs 20.2.  (Original ChangeLog
	entries follow).

1997-08-29  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* text-mode.el (text-mode-hook-identify): New function,
	put on text-mode-hook.  Set text-mode-variant here.
	(text-mode): Don't set it here.

1997-08-27  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* text-mode.el (text-mode-hook): New defvar.
	(text-mode-variant): New variable.
	(text-mode): Set that variable locally.
	(toggle-text-mode-auto-fill): New command.

1997-06-15  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* text-mode.el (text-mode): Let all-white lines separate paragraphs.
	
1997-06-11  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* text-mode.el (paragraph-indent-text-mode):
	Renamed from spaced-text-mode.
	(text-mode-map): Bind TAB to indent-relative.
	(indented-text-mode-map): Variable deleted.
	(indented-text-mode): Now an alias for text-mode.

1998-02-05  SL Baur  <steve@altair.xemacs.org>

	* loadup.el: test-atoms debugging stuffs removed.

1998-02-03  Martin Buchholz  <Martin Buchholz <martin@xemacs.org>>

	* lisp/loaddefs.el (completion-ignored-extensions): Add ".class"

1997-12-30  Colin Rafferty  <colin@xemacs.org>

	* help.el (describe-beta): Made it use `locate-data-file'.
	(describe-distribution): Ditto.
	(describe-copying): Ditto.
	(describe-project): Ditto.
	(view-emacs-news): Ditto.

	* help-nomule.el (help-with-tutorial): Made it use
 	`locate-data-file' to find tutorial.

1998-01-28  Jonathon Harris  <jhar@tardis.ed.ac.uk>

	* about.el: Corrected my email address.

	* mouse.el: Added 'mouse-mswindows-drop' similar to
	'mouse-offix-drop'.

1998-01-27  SL Baur  <steve@altair.xemacs.org>

	* loadup.el (running-xemacs): Spelling fix.

1998-01-26  Colin Rafferty  <colin@xemacs.org>

	* packages.el (packages-find-packages-1): Don't allow a backwards
	compatible lisp tree to overwrite `preloaded-file-list'.

1998-01-26  SL Baur  <steve@altair.xemacs.org>

	* loadup.el: Don't delete "xemacs" prior to dumping.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* package-info.el (pi-last-mod-date): New function.
	(pi-author-version): New function.
	(batch-update-package-info): Use them.

1998-01-23  Colin Rafferty  <colin@xemacs.org>

	* frame.el (get-frame-for-buffer-default-to-current): Create.
	(get-frame-for-buffer-noselect): Allow user to use current frame
	with `get-frame-for-buffer-default-to-current'.

1998-01-22  Hrvoje Niksic  <hniksic@srce.hr>

	* bytecomp.el (byte-compile-output-file-form): Set print-gensym.
	(byte-compile-output-docform): Ditto.
	(byte-compile-compiled-obj-to-list): Ditto.

1998-01-22  Kyle Jones  <kyle_jones@wonderworks.com>

	* startup.el (command-line-1): Removed code that ran
	  buffer-menu.

1998-01-21  Hrvoje Niksic  <hniksic@srce.hr>

	* help-macro.el (make-help-screen): Bind `help-read-key' via flet.

1998-01-17  Hrvoje Niksic  <hniksic@srce.hr>

	* frame.el (suspend-emacs-or-iconify-frame): Check using
	`device-on-window-system-p' instead of explicitly checking for X,
	so that the same logic works for MS Windows.
	(suspend-or-iconify-emacs): Ditto.

1998-01-14  Hrvoje Niksic  <hniksic@srce.hr>

	* about.el (about-maintainer-info): Andy Piper is back.
	(xemacs-hackers): Updated Andy Piper's email address.
	(about-hackers): Added Jonathan Harris.
	(about-hackers): Updated Tibor Polgar's email address.

1998-01-18  SL Baur  <steve@altair.xemacs.org>

	* about.el: Add xemacs.org email manager.

	* package-get-base.el (package-get-base): Updated with most recent 
	package updates.

1998-01-14  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (function-arglist): Use `indirect-function' instead of
	`symbol-function' so that aliases are treated correctly.

1998-01-13  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (help-map): Add f1 binding to `help-for-help'.
	Suggested by Karl M. Hegbloom <karlheg@inetarena.com>.
	(describe-key-briefly): Use `princ' "%s" to print object.
	(with-displaying-help-buffer): Kill buffer if it exists, again.
	(describe-key): Use `princ' "%s" to print object.
	(describe-function-1): Use `princ' "%s" to print object.
	Commented out alias lines removed.
	(help-pretty-print-limit): New variable to control pretty-printing 
	of variable values.
	(help-maybe-pretty-print-value): Steve wins!  Renamed back from
	`help-pretty-print-value' again.  Only print-print when OBJECT is
	list of length less than `help-pretty-print-limit'.
	(describe-variable): Use `help-maybe-pretty-print-value' again.

1998-01-18  SL Baur  <steve@altair.xemacs.org>

	* simple.el (blink-matching-open): Remove C++ kludge.
	Suggested by Bob Weiner <weiner@wave.altrasoft.com>

1998-01-14  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* info.el (Info-default-directory-list): Made the documentation
	more explanitory.

1998-01-13  Martin Buchholz  <martin@xemacs.org>

	* lisp/packages.el: 
	* lisp/package-admin.el: 
	* lisp/build-report.el: 
	Fix typos.

1998-01-14  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* Patches/font-lock.el (java-font-lock-keywords-*): Would produce
	warnings in Java buffers without final newline and editing the
	last line.

1998-01-17  SL Baur  <steve@altair.xemacs.org>

	* packages.el (packages-find-packages-1): Don't allow a backwards
	compatible lisp tree to overwrite `preloaded-file-list'.
	Suggested by Colin Rafferty  <colin@xemacs.org>

	* mouse.el (mouse-offix-drop): Set undo-boundary.
	From Oliver Graf <ograf@fga.de>

1998-01-13  SL Baur  <steve@altair.xemacs.org>

	* loadup.el (load-gc): rewrite as defun.
	Print something sensical if a required dump-time file isn't found.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* menubar.el (check-menu-syntax): Emergency dirty fix -- the 0 plist
	bug strikes a menudescriptor.

	* package-get-base.el (package-get-base): Updated.

	* package-info.el (batch-update-package-info): Derive REQUIRES
	from the Makefile.

1998-01-13  Hrvoje Niksic  <hniksic@srce.hr>

	* files.el (save-some-buffers): Don't play games with deleting
	other windows if we are in the minibuffer window.

1998-01-08  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* modeline.el (modeline-minor-mode-menu): Add support for :active
	(add-minor-mode): Document :active property to TOGGLE.

1998-01-07  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* modeline.el (modeline-minor-mode-menu): Add support for an
 	`:included' predicate in the `toggle-sym' plist.
	(add-minor-mode): Document the :included property, format
 	docstring some more.
	(modeline-minor-mode-menu): Documentation string added.

1998-01-02  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* modeline.el (modeline-minor-mode-menu): genmenlab the menu
 	labels from the symbol-names by thwacking off the overly redundant
 	and overused "mode", parenthesizing "minor", and capitalizing the
 	resultant strings.  Also shortened the menu's title by eliminating
 	the redundant buffer name.
	(add-minor-mode): Beautified the docstring, added mention of the
 	`:menu-tag' property of TOGGLE.
	(modeline-minor-mode-menu): Frinked the `:menu-tag' property on
 	`toggle-sym' to beatify the mode-life menus.
	* (abbrev-mode):  (put)'ed a `:menu-tag' on it and
	`auto-fill-function'.

1998-01-02  Karl M. Hegbloom  <<karlheg@bittersweet.inetarena.com>>

	* modeline.el (modeline-minor-mode-menu): Changed the string-only
	menus to :style 'toggle.

1997-12-10  Markus Linnala  <maage@cs.tut.fi>

	* simple.el: Use mh-user-agent-compose as mh-e-user-agent.

1997-12-11  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* packages/hyper-apropos.el (hyper-apropos-insert-face): Would
	only recognize first hyperlink.
	(hyper-apropos-highlightify): Deletia, this is already done by
 	`hyper-apropos-insert-face'.
	(hyper-apropos-help-mode): Don't call `hyper-apropos-highlightify.

1998-01-09  SL Baur  <steve@altair.xemacs.org>

	* x-toolbar.el (toolbar-ispell-internal): Use ispell-message for
	mail.
	(toolbar-mail-reader): Add support for `send'.
	From Jonathan Marten <jonathan.marten@UK.Sun.COM>

1998-01-05  Karl M. Hegbloom  <<karlheg@bittersweet.inetarena.com>>

	* info.el (Info-emacs-info-file-name): Add defvar for
 	`Info-emacs-info-file-name' so that `Info-goto-emacs-command-node'
 	will function properly.

1998-01-05  Gary D. Foster  <gfoster@ragesoft.com>

	* simple.el: make the backwards delete function called by
	`backward-or-forward-delete-char' user configurable.

1998-01-09  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* hyper-apropos.el (hyper-apropos-get-doc): Print where a byte
 	compiled function got loaded from.

1998-01-09  SL Baur  <steve@altair.xemacs.org>

	* term/apollo.el: Synched up with InfoDock 3.6.2.

1998-01-08  SL Baur  <steve@altair.xemacs.org>

	* startup.el (load-init-file): Load autoloads earlier.
	(startup-splash-frame): Handle InfoDock logo.

	* x-init.el (init-post-x-win): Don't call init-x-toolbar in
	InfoDock.
	(x-init-toolbar-from-resources): Move from x-toolbar.el.

	* toolbar.el (init-toolbar-from-resources): InfoDock x-toolbar.el
	doesn't have this function.

	* packages.el (locate-data-file): Fix to call `locate-file'.

1998-01-07  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): InfoDock uses its own
	version of version.el.
	(preloaded-file-list): Ditto for x-menubar.el and x-toolbar.el.

	* x-menubar.el (default-menubar): Guard reference to
	`gnuserv-frame'.
	(default-menubar): Guard references to `font-lock-mode'.
	(default-menubar): Guard references to font-menu-this-frame-only-p'.
	(default-menubar): Guard references to `font-menu-ignore-scaled-fonts'.

	* make-docfile.el: Don't snarf doc strings from autoloads.

	* startup.el (load-init-file): Use algorithm from loaddefs.el for
	loading auto-autoloads files.

	* loaddefs.el: Disable dumping autoloads.

1998-01-05  SL Baur  <steve@altair.xemacs.org>

	* lisp-mnt.el: Synch to Emacs 20.2.

	* help.el: Remove manual autoload of `finder-by-keyword'.

	* finder.el (finder-by-keyword): Autoload.

	* help.el: Conditionalize hyperbole setup.

1998-01-04  SL Baur  <steve@altair.xemacs.org>

	* packages.el (package-require): Update to reflect new data format.

1998-01-02  Didier Verna  <verna@inf.enst.fr>

	* x-menubar.el (default-menubar): make the tutorials available
	through the menubar. (Plus some compilation warnings cleanup).

1998-01-04  SL Baur  <steve@altair.xemacs.org>

	* check-features.el: New file.  Perform sanity check after build.

	* dumped-lisp.el (preloaded-file-list): Move tooltalk dumped lisp
	files to tooltalk package.
	(preloaded-file-list): Moved sparcworks dumped lisp files to Sun
	package.

	* package-admin.el (package-admin-xemacs): Use better default for
	location of XEmacs binary.

1998-01-03  Aki Vehtari  <Aki.Vehtari@hut.fi>

	* x-menubar.el (buffers-menu-submenus-for-groups-p): Replace const
	tag with sexp and add value tag with value `t'.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* package-get.el: Changes to work with real data.
	From Pete Ware <ware@cis.ohio-state.edu>

	* packages.el (packages-reload-autoloads): Guard load for the time 
	being.

	* update-elc.el ("packages.el"): Force loading packages.el instead 
	of possibly out-of-date packges.elc.
	* make-docfile.el ("packages.el"): Ditto.

1998-01-02  Colin Rafferty  <colin@xemacs.org>

	* build-report.el (build-report-delete-regexp): Added a rule for
	the main tarball shadowing anything past it.

1998-01-02  SL Baur  <steve@altair.xemacs.org>

	* packages.el (package-provide): Delete a previous provide.

	* package-info.el: New file.

	* package-get.el: New file.
	From Pete Ware <ware@cis.ohio-state.edu>
	(package-get): Fix md5 computation to work with Mule.

1997-12-11  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* simple.el (log-message-*): Quote symbols in docstrings properly.

1998-01-01  SL Baur  <steve@altair.xemacs.org>

	* packages.el (packages-new-autoloads): Ignore symbolic links.

	* cus-face.el (face-custom-attributes-get): Fix typo.
	From Jens-Ulrik Holger Petersen <petersen@kurims.kyoto-u.ac.jp>

1997-12-31  SL Baur  <steve@altair.xemacs.org>

	* startup.el (load-init-file): Reload new or changed autoloads
	unless inhibited.  Reload modified dumped lisp (stubbed).

	* packages.el (packages-new-autoloads): New function.
	(packages-reload-autoloads): New function.
	(packages-reload-dumped-lisp): New (stub) function.

	* loadup.el: Inhibit reloading dumped files when running temacs.

	* loadhist.el (file-provides): Extend to handle variant
	extensions.

	* replace.el (query-replace): Fix typo.

1997-12-30  SL Baur  <steve@altair.xemacs.org>

	* make-docfile.el: list-autoloads-path has been renamed.
	* update-elc.el: list-autoloads has been renamed.

	* packages.el (packages-list-autoloads): Renamed.
	(packages-list-autoloads-path): Ditto.

1997-12-29  Colin Rafferty  <colin@xemacs.org>

	* packages.el (packages-find-packages-1): Made it signal a warning 
	for an error in an auto-autoload.el file.

1997-12-30  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el (buffers-menu-submenus-for-groups-p): Replace sexp
	tag with const.
	From Aki Vehtari <Aki.Vehtari@hut.fi>

	* dumped-lisp.el (preloaded-file-list): Dump loadhist with XEmacs.

	* loadhist.el (unload-feature): Remove autoload.

1997-12-28  SL Baur  <steve@altair.xemacs.org>

	* loadhist.el: Unpackaged.

	* help.el (describe-symbol-find-file): Rename
	`describe-function-find-file' and make old name obsolete.
	(describe-function-1): Use it.
	(describe-function-1): Guard reference to
	`compiled-function-annotation'.

1997-12-27  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (help-mode-bury): Now a call to `help-mode-quit' with
 	argument.
	(help-mode-quit): New optional arg to control whether it kills or
	buries.  Tidied up.
	(with-displaying-help-buffer): Don't kill buffer initially, even
	if it exists: it is erased by `with-output-to-temp-buffer' anyway.
	(help-pretty-print-value): Rename back from
	`help-maybe-pretty-print-value'!  If `pp-internal' is available
	use it, otherwise use dumped `cl-prettyprint'.
	(describe-variable): Use `help-pretty-print-value' again.
	(find-func): Removed reference to "find-func" at end.

1997-12-26  Kirill M. Katsnelson  <kkm@kis.ru>

	* dumped-lisp.el: x-menubar.el dumped along with mswindows native
	  GUI XEmacs. Rename? x-menubar is rather window system
	  independent, except for a couple of items.

1997-12-26  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el (default-menubar): Remove hyperbole and oobr
	entries as they will no longer be distributed with XEmacs.

	* format.el (format-alist): Fix image/tiff regexps.
	From P. E. Jareth Hein <jareth@camelot-soft.com>

	* help.el (help-maybe-pretty-print-value): Rename.
	(describe-variable): Use it.
	(describe-variable): Add trailing linefeed.

1997-12-26  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (describe-function-1): Don't output anything for
	  arglist of autoload functions.

1997-12-26  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (describe-function-1): Don't output anything for
	  arglist of autoload functions.

1997-12-26  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (help-mode-map): New bindings for `help-mode-bury',
 	`describe-function-at-point', `describe-variable-at-point',
 	`Info-elisp-ref', `customize-variable', `help-next-section' and
 	`help-prev-section'.
	(help-next-section): New function.
	(help-prev-section): New function.
	(help-mode-quit): Changed to kill the help buffer.
	(help-mode-bury): Formerly `help-mode-quit'.  Bury buffer
 	correctly.
	(help-buffer-name): New function to generate the name of help
 	buffers.
	(with-displaying-help-buffer): Is now a macro.  Takes an new first
 	argument giving the name of the help buffer.
	(describe-key): Use `with-displaying-help-buffer' with name.
	(describe-mode): Ditto.
	(describe-bindings): Ditto.
	(describe-prefix-bindings): Ditto.
	(view-lossage): Ditto.
	(with-syntax-table): New macro.
	(function-called-at-point): Use `ignore-errors' and
 	`with-syntax-table'.
	(function-at-point): Ditto.
	(describe-function): Use `with-displaying-help-buffer' with name.
	(function-arglist): Extracted from `describe-function-1'.  Returns
 	function's arglist as string.
	(function-documentation): Extracted from `describe-function-1'.
  	Returns function's docstring.
	(describe-function-1): Remove all the "stream" garbage, including
	the stream argument.  Use `function-arglist' and
	`function-documentation'.
	(describe-function-arglist): Just use `function-arglist'.
	(variable-at-point): Use `ignore-errors' and `with-syntax-table'.
	(help-pretty-print-value): New function to help with
	pretty-printing variable values.  Knows about `#<...>'.  Needs
	`pp-internal'.
	(describe-variable): Use `with-displaying-help-buffer' with name.
	Formatting improved.  Display file where variable is defined, if
	known.  Use `help-pretty-print-value'.
	(describe-syntax): Use `with-displaying-help-buffer' with name.
	(list-processes): Remove "stream" garbage.

1997-12-25  SL Baur  <steve@altair.xemacs.org>

	* x-init.el (x-initialize-keyboard): Don't load x-win*.el files,
	call a dumped routine instead.

	* x-win-xfree86.el: Wrap file in defun.
	* x-win-sun.el: Ditto.

1997-12-23  SL Baur  <steve@altair.xemacs.org>

	* help.el (view-emacs-news): Remove usage of outl-mouse which
	advises functions and does other evil things.

1997-12-22  SL Baur  <steve@altair.xemacs.org>

	* format.el (format-alist): Add `image/tiff'.
	From P. E. Jareth Hein <jareth@camelot-soft.com>

1997-12-21  SL Baur  <steve@altair.xemacs.org>

	* about.el (about-hackers): More names added.

	* make-docfile.el: Remove superfluous package path search.

	* loaddefs.el: Commentary changes.  Removal of VM autoloads.

1997-12-20  SL Baur  <steve@altair.xemacs.org>

	* shadow.el (find-emacs-lisp-shadows): Add _pkg to the list of
	ignored shadows.

1997-12-18  SL Baur  <steve@altair.xemacs.org>

	* startup.el (set-default-load-path): Make sure lisp and site-lisp 
	get trailing slashes when added to the load-path.

	* x-init.el (init-x-win): Locate where XEmacs X localization files 
	are.

1997-12-18  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-faces.el: Added support for foregroundToolBarColor
	  to xpm-color-symbols.

1997-12-17  Hrvoje Niksic  <hniksic@srce.hr>

	* etags.el (tags-remove-duplicates): Removed.
	(buffer-tag-table-list): Use `delete-duplicates'.

	* cl-extra.el (coerce): Coerce to bit-vector and weak-list
 	correctly.
	(get*): Defalias to `get'.

	* cl.el (eql): Compare integers with `eq'.
	(cl-map-extents): Check for `map-extents' first.

1997-12-17  Didier Verna  <verna@inf.enst.fr>

	* leim/quail/latin-pre.el ("french-prefix"): doc string cleanup +
 	added the 'numero', 'copyright' and 'trademark' symbols.

	* leim/quail/latin-post.el ("french-postfix"): see above.

1997-12-15  Hrvoje Niksic  <hniksic@srce.hr>

	* widget.el (define-widget): Check the arguments.

	* cus-edit.el (customize-face): Use `check-argument-type'.
	(custom-variable-value-create): Use `signal' to signal error.
	(custom-variable-reset-saved): Ditto.
	(custom-variable-reset-standard): Ditto.
	(custom-face-reset-saved): Ditto.

	* wid-edit.el (widget-prompt-value): Use `signal' to signal error.
	(widget-default-format-handler): Ditto.
	(widget-checklist-add-item): Ditto.
	(widget-radio-add-item): Ditto.
	(widget-editable-list-entry-create): Ditto.
	(widget-sexp-prompt-value): Ditto.

	* custom.el (custom-declare-variable): Signal errors better.
	(custom-handle-keyword): Ditto.
	(custom-declare-group): Ditto.

	* window-xemacs.el (windows): Ditto.

	* menubar.el (menu): Ditto.

	* keydefs.el (keyboard): Ditto.

	* minibuf.el (minibuffer): Ditto.

	* process.el (execute): Ditto.

	* fill.el (fill): Ditto.

	* modeline.el (modeline): Ditto.

	* help.el (help): Ditto.

	* faces.el (faces): Ditto.

	* files.el (files): Ditto.

	* x-init.el (x): Ditto.

	* lisp-mode.el (lisp): Ditto.

	* process.el (processes): Ditto.

	* mouse.el (mouse): Ditto.

	* abbrev.el (abbrev): Moved from cus-edit.

	* font-lock.el (lisp-font-lock-keywords-1): Recognize `defcustom'
	as variable declaration.

1997-12-15  Hrvoje Niksic  <hniksic@srce.hr>

	* menubar.el (find-menu-item): Use `check-argument-type'.
	(find-menu-item): Cosmetic changes.

1997-12-18  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el (default-menubar): Guard usage of lpr-switches.

1997-12-17  SL Baur  <steve@altair.xemacs.org>

	* startup.el (set-default-load-path): Only search package-path
	when not running temacs.

	* dumped-lisp.el (preloaded-file-list): Remove Egg/Its dumped lisp 
	files.

	* loadup.el: Correct commentary.  Reformatting.
	(really-early-error-handler): Use absolute path to the 
	first dumped-lisp.el file.
	(really-early-error-handler): Print full path name of
	each dumped lisp file (inherited from InfoDock).

	* shadow.el (find-emacs-lisp-shadows): Ignore multiple
	dumped-lisp.el files.

	* make-docfile.el (preloaded-file-list): Reorder when the
	package-path is searched.
	* update-elc.el: Ditto.

	* lisp-mode.el (call-with-condition-handler): Treat the same as
	`condition-case' for indentation.

	* about.el (about-xemacs): Update release date.

1997-12-17  Hrvoje Niksic  <hniksic@srce.hr>

	* cl-macs.el (case): Signal error if `t' or `otherwise' are seen
	anywhere but at the last clause.
	(ecase): Disallow `t' and `otherwise'.

1997-12-16  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* cus-edit.el (custom-buffer-create-buttons): New function
	from stuff moved out of `custom-buffer-create-internal'.
	(custom-novice): New variable.  Default t.
	(custom-display-global-buttons): Ditto.  Default `top'.
	(custom-buffer-create-internal): Only display help if
	`custom-novice' is non-nil.  Display global buttons according to
	`custom-display-global-buttons'.

1997-12-15  Hrvoje Niksic  <hniksic@srce.hr>

	* menubar.el (find-menu-item): Use `check-argument-type'.
	(find-menu-item): Cosmetic changes.

1997-12-15  Hrvoje Niksic  <hniksic@srce.hr>

	* modeline.el (mouse-drag-modeline): Give the modeline a "pressed" 
	look.

1997-12-16  Oscar Figueiredo <Oscar.Figueiredo@di.epfl.ch>

	* format.el (format-deannotate-region):  Bug fix.
	Deannotating a region containing unknown tags would fail
	(causing decoding of text/enriched to fail at user level)

1997-12-16  Kyle Jones  <kyle_jones@wonderworks.com>

	* minibuf.el (read-directory-name): Support sixth
	  arg, HISTORY, as already documented.

1997-12-17  Hrvoje Niksic  <hniksic@srce.hr>

	* etags.el (get-tag-table-buffer): Use explicit lists as arguments 
	to `ecase'.

1997-12-14  SL Baur  <steve@altair.xemacs.org>

	* skk/skk-leim.el (skk-auto-fill-activate): Synch with
	skk-activate.

1997-12-13  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Remove debugging statement.
